/**
 *  Whole-script strict mode syntax
 *
 *  https://gist.github.com/jamigibbs/5a107b8e8ce854230a7c0dd5dc3f2442
 *
 */

(function($) {
  'use strict';

	var script_counter = 1;

	/** Front page Slider Script **/
	if( $('.post-slider').length ){
		
		$('.post-slider').slick({
		  	autoplay: true,
	 	});	
	}

    /** sticky header script **/
 	$(window).load(function(){

 		if( $(window).width() >= 1024 ){

			if( $("#wpadminbar").length ){
				$(".navigation").sticky({ topSpacing: $("#wpadminbar").height() });
			}else{
				$(".navigation").sticky({ topSpacing: 0 });
			}
		}
	});

	/**  Accordion  **/
	function toggleChevron(e) { 
        $('#accordion .panel-heading').removeClass('highlight');
        $(e.target).prev('.panel-heading').addClass('highlight');
	}
	$('#accordion').on('hidden.bs.collapse', toggleChevron);
	$('#accordion').on('shown.bs.collapse', toggleChevron);


	/** Header Serachbar Functionlity **/
	$( "#top_the_search_form button.btn-default" ).html('<span>Go!</span>');
	$( "#close_search, #header_top_search" ).click(function(){
	    $("#search-area").slideToggle("fast");
	    $("#search-area-v2").slideToggle("fast");
	});

	/** Widget Section  Categories, Archive, Tags **/
	$(".widget_categories ul, .widget_pages ul, .widget_archive ul, .widget_archive ul, .widget_recent_comments ul, .widget_recent_entries ul, .widget_rss ul, .widget_nav_menu ul, .widget_meta ul").addClass("listnone bullet bullet-arrow-right mb0");

	$(".tagcloud").addClass("widget-tags");
	$(".tagcloud a").each(function() {
		$(this).attr( 'style', '' );
		$(this).attr( 'class', 'tags' );
		$(this).attr( 'title', $(this).text() );
	});

	/** img-restponsive class added **/
	if( $('.main_div img, .main-container img').hasClass('img-responsive').lenght > 0 ){
	}else{
		$('.main_div img, .main-container img').addClass('img-responsive');
	}

	/** Iframe class **/
	$('iframe').map(function() {
		if( ! $( this ).parent().hasClass('videoWrapper') ){
			  $( this ).before('<div class="videoWrapper" id="iframe_id_'+ script_counter +'"></div>');
			  $( this ).appendTo( '#iframe_id_'+ script_counter ).contents();
		}
		script_counter++;
	});

	/** Table Responsive **/
	$('table').map(function() {
		$( this ).addClass('table table-bordered');
		if( ! $( this ).parent().hasClass('table-responsive') ){
			  $( this ).before('<div class="table-responsive" id="table_id_'+ script_counter +'"></div>');
			  $( this ).appendTo( '#table_id_'+script_counter ).contents();
		} 
		script_counter++;
	});


	/** Faq's Accordion **/
	$('.st-accordion').collapse();

	/** Footer Section. **/

	$('.woocommerce #commentform').addClass("form-horizontal"); 
	
	for( var ids = $('.footer .widget_black_studio_tinymce').map(function() { return this.id; }), i = 0; i<=ids.length-1; i++ ) {
		jQuery( '#'+ids[i] ).addClass('col-lg-4 col-md-4 col-sm-6 col-sm-mb-30 col-xs-12 col-xs-mb-40');
	}

	for( var link = $('.footer .widget_useful_link_widget').map(function() {  return this.id; }), j = 0; j<=link.length-1; j++ ) {
		jQuery( '#'+link[j] ).addClass('col-lg-2 col-md-2 col-sm-6 col-sm-mb-30 col-xs-12 col-xs-mb-40');
	}

	/** Click to Top page **/
	var b = $('.scrollup');

	b.hide();
	$(window).on('scroll', function(){
	    if ($(this).scrollTop() > 600) {
	        b.fadeIn( 1000 );
	    } else {
	        b.fadeOut();
	    }
	});

	b.on('click', function(){
	    $('html,body').animate({
	        scrollTop: 0
	    }, 1000 );
	    return false;
	});

})(jQuery);
