/**
 *  Whole-script strict mode syntax
 *
 *  https://gist.github.com/jamigibbs/5a107b8e8ce854230a7c0dd5dc3f2442
 *
 */

(function($) {
  'use strict';

	/** Image Filter Script **/
	var $container = $('.portfolioContainer');

    if( $container.length ){

      	$container.imagesLoaded( function() {
      		$container.isotope({
      			filter: '*',
      			animationOptions: {
      				duration: 'slow',
      				easing: 'swing',
      				queue: false
      			}
      		});
      	});
    }
 
    if( $('.portfolioFilter').length ){

      $('.portfolioFilter a').click(function(){
          $('.portfolioFilter .current').removeClass('current');
          $(this).addClass('current');
   
          var selector = $(this).attr('data-filter');
          $container.isotope({
              filter: selector,
              animationOptions: {
                  duration: 750,
                  easing: 'linear',
                  queue: false
              }
           });
           return false;
      }); 
    }

  /** Masonary Grid **/
  if( $('#isotope').length ){ 
    $('.grid').isotope({ itemSelector: '.grid-item' }); 
  }

})(jQuery);