<?php
/**
 *   Theme options Array interface in Switch case.
 */

if ( ! defined( 'ABSPATH' ) ) exit;

/** 
 *   Theme-option Tabs List.
 */

if( ! function_exists( 'mh_theme_options_tab_menu' ) ){

	function mh_theme_options_tab_menu() {

		$theme_options = mh_theme_options();
		$counter = 0; $menu = "";

		 foreach ( $theme_options as $value ) {
			if ( $value['type'] == "section" ) { $counter++;

				if( $counter == 1 )
					$menu .= '<li class="active"> <a data-toggle="tab" data-toggle="tab" href="#'. sanitize_title( $value['name'] ) .'">'.esc_html( $value['name'] ).'</a> </li>';
				else
					$menu .= '<li> <a data-toggle="tab" data-toggle="tab" href="#'. sanitize_title( $value['name'] ) .'">'.esc_html( $value['name'] ) . '</a> </li>';
			}
		 } return $menu;	
	}
}

/**
 *  Theme-option Tabs Content Fields.
 */	

if( ! function_exists( 'mh_theme_options_tab_page' )  ){

	function mh_theme_options_tab_page() {

		$theme_options = mh_theme_options();
		$output = $val = $id = $val_1 = $val_2 = $val_3 = $no_display = $style = ''; $slider_counter = 1; $counter = 0;
		$options = get_option( 'mh_options' );

		foreach ( $theme_options as $value ) {				        
		 
			if( isset( $value['id'] ) && $value['type'] != "section" && $value['type'] != "typography" && $value['type'] != "body_typography" && $value['type'] != 'color_2' &&  $value['type'] != 'map' && $value['type'] != 'margin' ) {

				$val = isset( $options[ $value['id'] ] ) ? $options[esc_html( sanitize_title( $value['id'] ) )] : '';
				$mh_option_name =  'mh_options['.$value['id'].']';
			}
			if( $value['type'] == "typography" ||  $value['type'] == "body_typography" || $value['type'] == "margin"  ) {

				$val_1 = isset( $options[esc_html( $value['id_1'] )] ) ? $options[esc_html( sanitize_title( $value['id_1'] )  )] : '';
				$val_2 = isset( $options[esc_html( $value['id_2'] )] ) ? $options[esc_html( sanitize_title( $value['id_2'] )  )] : '';
				$val_3 = isset( $options[esc_html( $value['id_3'] )] ) ? $options[esc_html( sanitize_title( $value['id_3'] )  )] : '';
				$val_4 = isset( $options[esc_html( $value['id_4'] )] ) ? $options[esc_html( sanitize_title( $value['id_4'] )  )] : '';
				$mh_option_name_1 = 'mh_options['.$value['id_1'].']';
				$mh_option_name_2 = 'mh_options['.$value['id_2'].']';
				$mh_option_name_3 = 'mh_options['.$value['id_3'].']';
				$mh_option_name_4 = 'mh_options['.$value['id_4'].']';

			}
			if( $value['type'] == 'color_2' ) {									

				$val_1 = isset( $options[esc_html( $value['id_1'] )] ) ? $options[esc_html( sanitize_title( $value['id_1'] ) )] : '';
				$val_2 = isset( $options[esc_html( $value['id_2'] )] ) ? $options[esc_html( sanitize_title( $value['id_2'] ) )] : '';
				$mh_option_name_1 = 'mh_options['.$value['id_1'].']';
				$mh_option_name_2 = 'mh_options['.$value['id_2'].']';
			}

			if( $value['type'] == 'map' ) {									

				$val_1 = isset( $options[esc_html( $value['id_1'] )] ) ? $options[esc_html( sanitize_title( $value['id_1'] ) )] : '';
				$val_2 = isset( $options[esc_html( $value['id_2'] )] ) ? $options[esc_html( sanitize_title( $value['id_2'] ) )] : '';
				$val_3 = isset( $options[esc_html( $value['id_3'] )] ) ? $options[esc_html( sanitize_title( $value['id_3'] ) )] : '';
				$mh_option_name_1 = 'mh_options['.$value['id_1'].']';
				$mh_option_name_2 = 'mh_options['.$value['id_2'].']';
				$mh_option_name_3 = 'mh_options['.$value['id_3'].']';
			}

			$mh_framework_field_name  = isset( $value['name'] ) 		? esc_html( $value['name'] )        : '';
			$mh_framework_description = isset( $value['description'] )  ? esc_html( $value['description'] ) : '';
			$mh_framework_class 	  = isset( $value['class'] ) 		? mh_is_empty( $value['class'] ) 	: '';

			switch ( $value['type'] ) :

				case "section" :
				
					if ( $value['type'] == "section" ) {

						if( $counter >=1 ) { 
							$output .= '<br /></div>';
						}   $counter++;

						if( $counter == 1)
							$output .= '<div id="'. sanitize_title( $mh_framework_field_name ) .'" class="tab-pane fade in active">';
						else
							$output .= '<div id="'. sanitize_title( $mh_framework_field_name ) .'" class="tab-pane fade">';										

						$output .= '<div class="row">';
						$output .= '<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 to-section">' ;
						$output .= '<h1>'. $mh_framework_field_name.'</h1><p>'.$mh_framework_description.'</p>';
						$output .= '</div>'; 
						$output .= '</div>';
					}
					
				break;
				case "map" :

					$output .= '<div class="row to-section">';
					$output .= '<div class="col-lg-5 col-md-5 col-sm-12 col-xs-12">';
					$output .= '<h4>'.$mh_framework_field_name.'</h4><p>'.$mh_framework_description.'</p>';
					$output .= '</div>';
					
					$output .= '<div class="col-lg-7 col-md-7 col-sm-12 col-xs-12">';
					$output .= '<div class="row">';

					$output .= '<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" style="margin-bottom:10px;">';
					$output .= '<p> '.esc_html($value['label_3']).' </p>';
					$output .= '<input id="'. $value['id_3'] .'" class="'.$mh_framework_class.'" type="text" name="'.$mh_option_name_3.'" 
								value = "'. esc_attr( $val_3 ) .'" /> ';
					$output .= '</div>';

					$output .= '<div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">';
					$output .= '<p> '.esc_html($value['label_1']).' </p>';
					$output .= '<input class="MapLat '.$mh_framework_class.'" type="text" name="'.$mh_option_name_1.'" 
								value = "'. esc_attr( $val_1 ) .'" /> ';
					$output .= '</div>';
					
					$output .= '<div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">';
					$output .= '<p> '.esc_html($value['label_2']).' </p>';
					$output .= '<input class="MapLon '.$mh_framework_class.'" type="text" name="'.$mh_option_name_2.'" 
								value = "'. esc_attr( $val_2 ) .'" /> ';
					$output .= '</div>';


					$output .= '<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">';
					$output .= '<div id="map_canvas" style="height: 350px;width: 100%;margin-top:20px;"></div>';
					$output .= '</div>';

					$output .= '</div>';
					$output .= '</div>';
					$output .= '</div>';

				break;
				case "text" :	
				
					$output .= '<div class="row to-section">';
					$output .= '<div class="col-lg-5 col-md-5 col-sm-12 col-xs-12">';
					$output .= '<h4>'.$mh_framework_field_name.'</h4><p>'.$mh_framework_description.'</p>';
					$output .= '</div>';
					$output .= '<div class="col-lg-7 col-md-7 col-sm-12 col-xs-12">';
					$output .= '<input class="'.$mh_framework_class.'" type="text" name="'.$mh_option_name.'" value = "'.esc_attr( $val  ).'" /> ';
					$output .= '</div>';			
					$output .= '</div>';
						
				break;
				case "import_data" :
				
					$output .= '<div class="row to-section">';
					$output .= '<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">';
					$output .= $value['description'];
					$output .= '</div>';			
					$output .= '</div>';
				
				break;
				case "textarea" :
				
					$output .= '<div class="row to-section">';
					$output .= '<div class="col-lg-5 col-md-5 col-sm-12 col-xs-12">';
					$output .= '<h4>'.$mh_framework_field_name.'</h4><p>'.$mh_framework_description.'</p>';
					$output .= '</div>';
					$output .= '<div class="col-lg-7 col-md-7 col-sm-12 col-xs-12 textarea_control">';
					$output .= '<textarea class="'.$mh_framework_class.'" name="'.$mh_option_name.'"/>'.esc_attr( $val ).'</textarea>';
					$output .= '</div>';			
					$output .= '</div>';
						
				break;
				case "checkbox":
				
					$output .= '<div class="row to-section">';
					$output .= '<div class="col-lg-5 col-md-5 col-sm-12 col-xs-12">';
					$output .= '<h4>'.$mh_framework_field_name.'</h4><p>'.$mh_framework_description.'</p>';
					$output .= '</div> ';
					$output .= '<div class="col-lg-7 col-md-7 col-sm-12 col-xs-12">';
					
					foreach ($value['options'] as $key => $option) {
					
						$key = preg_replace('/[^a-zA-Z0-9._\-]/', '', strtolower(esc_html($value['name'])) );
											
						if( isset($val) && !empty($val) && checked( esc_attr($val) == $options[ $value['id'] ], true, false ) ){

							$output .= '<label class="checkbox-switch"><input type="checkbox" class="'.$mh_framework_class.'"
							name="'.$mh_option_name.'"  id="'.$value['id'].'" value="'.esc_attr( $val ). '" checked=checked />
							<div class="checkbox-slider checkbox-round"></div></label>';

							$no_display .='<label for="'.esc_attr( $id ).'">'.esc_html( $option ).'</label>';
						} else {
							$output .= '<label class="checkbox-switch"><input type="checkbox" name="'.$mh_option_name.'" value="'. esc_attr( $key ) . '" class="'.$mh_framework_class.'"  id="'.$value['id'].'"  /><div class="checkbox-slider checkbox-round"></div></label>';
							$no_display .='<label for="'.esc_attr( $id ).'">'.esc_html( $option ).'</label>';
						}									
					}							
					$output .= '</div>';
					$output .= '</div>';
						
				break;
				case "select" :
				
					$output .= '<div class="row to-section">';
					$output .= '<div class="col-lg-5 col-md-5 col-sm-12 col-xs-12">';
					$output .= '<h4>'.$mh_framework_field_name.'</h4><p>'.$mh_framework_description.'</p>';
					$output .= '</div> ';
					$output .= '<div class="col-lg-7 col-md-7 col-sm-12 col-xs-12">';
				
					$output .= '<select  class="form-control '.$mh_framework_class.'" name="'.$mh_option_name.'" >';
					foreach ($value['options'] as $key => $option ) {

						if( $key == $val )
							$output .= '<option selected=selected value="'.htmlentities( esc_attr( $key )).'">'.esc_html( $option ).'</option>';
						else
							$output .= '<option value="'.htmlentities( esc_attr( $key ) ).'">'.esc_html( $option ).'</option>';

					}
					$output .= '</select>';
					
					$output .= '</div>';
					$output .= '</div>';
				
				break;
				case "multiselect" :
				
					$output .= '<div class="row to-section">';
					$output .= '<div class="col-lg-5 col-md-5 col-sm-12 col-xs-12">';
					$output .= '<h4>'.$mh_framework_field_name.'</h4><p>'.$mh_framework_description.'</p>';
					$output .= '</div> ';
					$output .= '<div class="col-lg-7 col-md-7 col-sm-12 col-xs-12">';
				
					$output .= '<select  class="select2-jQuery '.$mh_framework_class.'" multiple name="'.$mh_option_name.'[]" >';

					foreach ($value['options'] as $key => $option ) {
						
						if ( is_array($val) && in_array($key, $val) )
							$output .= '<option selected="selected" value="'.htmlentities( esc_html( $key )).'">'.esc_html( $option ).'</option>';
						else
							$output .= '<option value="'.htmlentities( esc_html( $key )).'">'.esc_html( $option ).'</option>';
					}
					
					$output .= '</select>';
					$output .= '</div>';
					$output .= '</div>';
					
				break;
				case "radio" :
				
					$output .= '<div class="row to-section">';
					$output .= '<div class="col-lg-5 col-md-5 col-sm-12 col-xs-12">';
					$output .= '<h4>'.$mh_framework_field_name.'</h4><p>'.$mh_framework_description.'</p>';
					$output .= '</div> ';
					$output .= '<div class="col-lg-7 col-md-7 col-sm-12 col-xs-12">';
					$name = '['. $value['id'] .']';
					$for_call = $value['id'];

					$output .= '<div class="row">';

					foreach ($value['options'] as $key => $option) {
						$key_call=$key.'-'.$for_call;
						if( $val == $key ) {
						
							$output .= '<div class="col-lg-3 col-md-3 col-sm-6 col-xs-12 '.$mh_framework_class.'"><input type="radio" name="mh_options' . esc_attr( $name ) . '"  
							value="'. esc_attr( $key ) . '" checked = checked id="'. esc_attr( $key_call ) . '"   />
							<label style="margin-top: 8px;margin-left: 5px;" for="' . esc_attr( $key_call ) . '">' . $option  . '</label></div>';
						} else {
							$output .= '<div class="col-lg-3 col-md-3 col-sm-6 col-xs-12 '.$mh_framework_class.'"><input type="radio" name="mh_options' . esc_attr( $name ) . '"  
							value="'. esc_attr( $key ) . '" id="'. esc_attr( $key_call ) . '"  />
							<label style="margin-top: 8px;margin-left: 5px;" for="' . esc_attr( $key_call ) . '">' .  $option  . '</label></div>';
						}									
					}	

					$output .= '</div>';

					$output .= '</div>';
					$output .= '</div>';
						
				break;
				case "image" :
				
					$output .= '<div class="row to-section">';
					$output .= '<div class="col-lg-5 col-md-5 col-sm-12 col-xs-12">';
					$output .= '<h4>'.$mh_framework_field_name.'</h4><p>'.$mh_framework_description.'</p>';
					$output .= '</div>';
					$output .= '<div class="col-lg-7 col-md-7 col-sm-12 col-xs-12"><span class="upload">';								
					$output .= '<input type="hidden" id="'.esc_attr( $value['id'] ).'" class="'.$mh_framework_class.'" name="'.$mh_option_name.'"  value = "'.esc_url( $val ).'"  /><br />';
					if( esc_url( $val ) != '' ) {
						$output .= '<img style="border:1px solid #ddd;max-width:200px;display:block;" src= "'. esc_url( $val ) .'" class="preview-upload" />';
						$output .= '<input type="button" class="button button-upload" id="logo_upload" value="'. esc_html__('Upload an image','ac-repair') .'"/></br>';
						$output .= '<input type="button" class="button-remove" id="remove" value="'. esc_html__('Remove','ac-repair') .'" /> ';
					}else {
						$output .= '<img style="display:none; " src="'.esc_url( $val ).'" class="preview-upload" />';
						$output .= '<input type="button" class="button button-upload" id="logo_upload" value="'. esc_html__('Upload an image','ac-repair') .'"/></br>';		
						$output .= '<input type="button" style="display:none;" id="remove" class="button-remove" value="" /> ';
					}
					$output .= '</span></div></div>';
						
				break;
				case "color" :
				
					$output .= '<div class="row to-section">';
					$output .= '<div class="col-lg-5 col-md-5 col-sm-12 col-xs-12">';
					$output .= '<h4>'.$mh_framework_field_name.'</h4><p>'.$mh_framework_description.'</p>';
					$output .= '</div>';
					$output .= '<div class="col-lg-7 col-md-7 col-sm-12 col-xs-12"> ';
					$output .= '<input class="color-field '.$mh_framework_class.'" type="text" name="'.$mh_option_name.'" 
								value = "'.esc_attr( $val ).'" /> ';
					$output .= '</div>';
					$output .= '</div>';
						
				break;
				case "color_2" :
				
					$output .= '<div class="row to-section">';
					$output .= '<div class="col-lg-5 col-md-5 col-sm-12 col-xs-12">';
					$output .= '<h4>'.$mh_framework_field_name.'</h4><p>'.$mh_framework_description.'</p>';
					$output .= '</div>';
					
					$output .= '<div class="col-lg-7 col-md-7 col-sm-12 col-xs-12">';
					$output .= '<div class="row">';
					
					$output .= '<div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">';
					$output .= '<p> '.esc_html($value['label_1']).' </p>';
					$output .= '<input class="color-field '.$mh_framework_class.'" type="text" name="'.$mh_option_name_1.'" value = "'. esc_attr( $val_1 ) .'" /> ';
					$output .= '</div>'; 						
					
					$output .= '<div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">';
					$output .= '<p> '.esc_html($value['label_2']).' </p>';
					$output .= '<input class="color-field '.$mh_framework_class.'" type="text" name="'.$mh_option_name_2.'" value = "'. esc_attr( $val_2 ) .'" /> ';
					$output .= '</div>'; 						
								
					$output .= '</div>';
					$output .= '</div>';
					
					$output .= '</div>';
						
				break;
				case "editor" :
				
					$output .= '<div class="row to-section">';
					$output .= '<div class="col-lg-5 col-md-5 col-sm-12 col-xs-12">';
					$output .= '<h4>'.$mh_framework_field_name.'</h4><p>'.$mh_framework_description.'</p>';
					$output .= '</div>';								
					$output .= '<div class="col-lg-7 col-md-7 col-sm-12 col-xs-12"> ';								
					echo $output;
						$textarea_name = $mh_option_name;
						$default_editor_settings = array(
							'textarea_name' => $textarea_name,																	 
							'media_buttons' => false,
							'quicktags' => false,
							'textarea_rows' => 5,
							'tinymce' => array( 'plugins' => 'wordpress' )
						);
						$editor_settings = array();
						if ( isset( $value['settings'] ) ) {
							$editor_settings = $value['settings'];
						}
						$editor_settings = array_merge( $default_editor_settings, $editor_settings );
						wp_editor( $val , $value['id'] , $editor_settings );
						$output = '';
					$output .= '</div>';
					$output .= '</div>';
						
				break;
				case "typography" :
				
					$output .= '<div class="row to-section">';
					$output .= '<div class="col-lg-5 col-md-5 col-sm-12 col-xs-12">';
					
					$output .= '<h4>'.$mh_framework_field_name.'</h4><p>'.$mh_framework_description.'</p>';
					$output .= '</div> ';
					$output .= '<div class="col-lg-7 col-md-7 col-sm-12 col-xs-12">';
					
					/* row start  */
					$output .= '<div class="row">';
					$output .= '<div class="col-lg-4 col-md-4 col-sm-4 col-xs-12"> ';
					$output .= '<p> '.$value['label_1'].' </p>';
					$output .= '<div class="input-group custom-search-form">';
					$output .= '<input class="form-control" type="text" name="'.$mh_option_name_1.'" value="'.$val_1.'" /> 
								<span class="input-group-btn"><button class="btn btn-default" type="button" disabled="disabled"> px </button></span> 
								</div>';
					$output .= '</div>';
					
					$output .= '<div class="col-lg-4 col-md-4 col-sm-4 col-xs-12">';
					$output .= '<p>'.esc_html($value['label_2']).'</p>';
					$output .= '<div class="input-group custom-search-form">';
					$output .= '<input class="form-control" type="text" name="'.$mh_option_name_2.'" value="'.esc_attr($val_2).'" /> 
								<span class="input-group-btn"><button class="btn btn-default" type="button" disabled="disabled"> px </button></span> 
								</div>';
					$output .= '</div>';			
					

					$output .= '<div class="col-lg-4 col-md-4 col-sm-4 col-xs-12"> ';
					$output .= '<p> '.$value['label_3'].' </p>';
					$output .= '<select class="select2-jQuery" name="'.$mh_option_name_3.'" >';
					foreach ($value['options_3'] as $key => $option ) {

						if( $key == $val_3 )
							$output .= '<option selected=selected value="' .htmlentities(esc_attr( $key )) . '">' .esc_html( $option ). '</option>';
						else
							$output .= '<option value="' .htmlentities(esc_attr( $key )). '">' .esc_html( $option ). '</option>';
					}
					$output .= '</select>';
					$output .= '</div>';
					$output .= '</div><hr>';      					

					/* row started */
					$output .= '<div class="row">';
					$output .= '<div class="col-lg-4 col-md-4 col-sm-6 col-xs-12">';
					$output .= '<p> '.esc_html($value['label_4']).' </p>';
					$output .= '<input class="color-field" type="text" name="'.$mh_option_name_4.'" 
								value = "'. esc_attr( $val_4 ) .'" /> ';
					$output .= '</div>'; 						
					$output .= '</div>';
					$output .= '</div>';
					$output .= '</div>';
					
				break;
				case "spinner" :	
				
					$output .= '<div class="row to-section">';
					$output .= '<div class="col-lg-5 col-md-5 col-sm-12 col-xs-12">';
					$output .= '<h4>'.$mh_framework_field_name.'</h4><p>'.$mh_framework_description.'</p>';
					$output .= '</div>';
					$output .= '<div class="col-lg-7 col-md-7 col-sm-12 col-xs-12">';
					$output .= '<input class="spinner_id '.$mh_framework_class.'"  id="'.esc_attr( $value['id'] ).'" name="'.$mh_option_name.'" value = "'.esc_attr( $val  ).'" type="number" /> ';
					$output .= '</div>';			
					$output .= '</div>';
						
				break;
				case "date-picker" :	
				
					$output .= '<div class="row to-section">';
					$output .= '<div class="col-lg-5 col-md-5 col-sm-12 col-xs-12">';
					$output .= '<h4>'.$mh_framework_field_name.'</h4><p>'.$mh_framework_description.'</p>';
					$output .= '</div>';
					$output .= '<div class="col-lg-7 col-md-7 col-sm-12 col-xs-12">';
					$output .= '<input class="fulldate form-control input-lg '.$mh_framework_class.'" type="text" name="'.$mh_option_name.'" value = "'.esc_attr( $val  ).'" /> ';
					$output .= '</div>';			
					$output .= '</div>';
						
				break;
				case "range-validator" :	
				
					$output .= '<div class="row to-section">';
					$output .= '<div class="col-lg-5 col-md-5 col-sm-12 col-xs-12">';
					$output .= '<h4>'.$mh_framework_field_name.'</h4><p>'.$mh_framework_description.'</p>';
					$output .= '</div>';
					$output .= '<div class="col-lg-7 col-md-7 col-sm-12 col-xs-12">';								
					$output .= '<div>';

					if( empty($value['class']) ){ $value['class'] = "range_slider_class_".$slider_counter; }

					$output .= '<div class="slider" id="'.$slider_counter.'" style="margin-left: 20px;margin-top: 7px;width: 70%;" ></div>';
					$output .= '<input type="number" id="'.esc_attr( $value['id'] ).'" class="'.$mh_framework_class.'" name="'.$mh_option_name.'"  value = "'.$val.'" readonly style="float: left;width:20%;" />';

					$output .= '</div>';		
					$output .= '</div>';
					$output .= '</div>';

					$slider_counter++;

				break;
				case "margin" :
				
					$output .= '<div class="row to-section">';
					$output .= '<div class="col-md-5">';
					$output .= '<h4>'.$mh_framework_field_name.'</h4><p>'.$mh_framework_description.'</p>';
					$output .= '</div> ';
					$output .= '<div class="col-md-7">';
					

					/* row start  */
					$output .= '<div class="row">';

					$output .= '<div class="col-md-3">';
					$output .= '<p> '.$value['label_1'].' </p>';
					$output .= '<div class="input-group custom-search-form">';
					$output .= '<span class="input-group-btn"> 
									<button class="btn btn-default" type="button" disabled="disabled"><i class="fa fa-long-arrow-left"></i></button> 
								</span>';
					$output .= '<input class="form-control" style="height:34px;" type="number" name="'.$mh_option_name_1.'" value="'.esc_attr($val_1).'" /> 
								<span class="input-group-btn"> 
									<button class="btn btn-default" type="button" disabled="disabled"> px </button> 
								</span> 
								</div>';
					$output .= '</div>';
					
					$output .= '<div class="col-md-3">';
					$output .= '<p> '.$value['label_2'].' </p>';
					$output .= '<div class="input-group custom-search-form">';
					$output .= '<span class="input-group-btn"> 
									<button class="btn btn-default" type="button" disabled="disabled"><i class="fa fa-long-arrow-up"></i></button> 
								</span>';
					$output .= '<input class="form-control" style="height:34px;" type="number" name="'.$mh_option_name_2.'" value="'.esc_attr($val_2).'" /> 
								<span class="input-group-btn"> 
									<button class="btn btn-default" type="button" disabled="disabled"> px </button> 
								</span> 
								</div>';
					$output .= '</div>';

					$output .= '<div class="col-md-3">';
					$output .= '<p> '.$value['label_3'].' </p>';
					$output .= '<div class="input-group custom-search-form">';
					$output .= '<span class="input-group-btn"> 
									<button class="btn btn-default" type="button" disabled="disabled"><i class="fa fa-long-arrow-right"></i></button> 
								</span>';
					$output .= '<input class="form-control" style="height:34px;" type="number" name="'.$mh_option_name_3.'" value="'.esc_attr($val_3).'" /> 
								<span class="input-group-btn"> 
									<button class="btn btn-default" type="button" disabled="disabled"> px </button> 
								</span> 
								</div>';
					$output .= '</div>';

					$output .= '<div class="col-md-3">';
					$output .= '<p> '.$value['label_4'].' </p>';
					$output .= '<div class="input-group custom-search-form">';
					$output .= '<span class="input-group-btn"> 
									<button class="btn btn-default" type="button" disabled="disabled"><i class="fa fa-long-arrow-down"></i></button> 
								</span>';
					$output .= '<input class="form-control" style="height:34px;" type="number" name="'.$mh_option_name_4.'" value="'.esc_attr($val_4).'" /> 
								<span class="input-group-btn"> 
									<button class="btn btn-default" type="button" disabled="disabled"> px </button> 
								</span> 
								</div>';
					$output .= '</div>';

					$output .= '</div>';
					$output .= '</div>';
					$output .= '</div>';
					
				break;				
				case "body_typography" :
				
				
					$output .= '<div class="row to-section">';
					$output .= '<div class="col-lg-5 col-md-5 col-sm-12 col-xs-12">';
					
					$output .= '<h4>'.$mh_framework_field_name.'</h4><p>'.$mh_framework_description.'</p>';
					$output .= '</div> ';
					$output .= '<div class="col-lg-7 col-md-7 col-sm-12 col-xs-12">';
					
					/* row start  */
					$output .= '<div class="row">';

					$output .= '<div class="col-lg-8 col-md-8 col-sm-6 col-xs-12"> ';
					$output .= '<p> '.$value['label_1'].' </p>';
					$output .= '<select class="select2-jQuery" name="'.$mh_option_name_1.'" >';
					foreach ($value['options_1'] as $key => $option ) {

						if( $key == $val_1 )
							$output .= '<option selected=selected value="' .htmlentities(esc_attr( $key )) . '">' .esc_html( $option ). '</option>';
						else
							$output .= '<option value="' .htmlentities(esc_attr( $key )). '">' .esc_html( $option ). '</option>';
					}
					$output .= '</select>';
					$output .= '</div>';
					
					$output .= '<div class="col-lg-4 col-md-4 col-sm-6 col-xs-12"> ';
					$output .= '<p> '.$value['label_2'].' </p>';
					$output .= '<select class="select2-jQuery" name="'.$mh_option_name_2.'" >';
					foreach ($value['options_2'] as $key => $option ) {

						if( $key == $val_2 )
							$output .= '<option selected=selected value="' .htmlentities(esc_html( $key )) . '">' .esc_html( $option ). '</option>';
						else
							$output .= '<option value="' .htmlentities(esc_html( $key )). '">' .esc_html( $option ). '</option>';
					}
					$output .= '</select>';
					$output .= '</div>';
					$output .= '</div> <hr> <!-- row/ending -->';


					$output .= '<div class="row">';			

					$output .= '<div class="col-lg-4 col-md-4 col-sm-6 col-xs-12"> ';
					$output .= '<p> '.$value['label_3'].' </p>';
					$output .= '<div class="input-group custom-search-form">';
					$output .= '<input class="form-control" type="text" name="'.$mh_option_name_3.'" value = "'. $val_3 .'" />
								<span class="input-group-btn"><button class="btn btn-default" type="button" disabled="disabled"> px </button></span> 
								</div>';
					$output .= '</div>';
					
					$output .= '<div class="col-lg-4 col-md-4 col-sm-6 col-xs-12">';
					$output .= '<p> '.esc_html($value['label_4']).' </p>';
					$output .= '<div class="input-group custom-search-form">';
					$output .= '<input class="form-control" type="text" name="'.$mh_option_name_4.'" value = "'.esc_attr($val_4).'" /> 
								<span class="input-group-btn"><button class="btn btn-default" type="button" disabled="disabled"> px </button></span> 
								</div>';
					$output .= '</div>';			
					
					$output .= '</div>';
					

					$output .= '</div>';
					$output .= '</div>';		
				
				break;
				default :  	break;	

			endswitch;
			

		} // foreach 

		return $output;			 
    }  
}

?>