( function($) { 
    $(function(){ "use strict";

		/** Theme options Tabs Hyperlink Display Properly **/
		var hash = window.location.hash;
		hash && $('ul.nav a[href="' + hash + '"]').tab('show');

		$('.nav-tabs a').click(function (e) {
			$(this).tab('show');
			var scrollmem = $('body').scrollTop() || $('html').scrollTop();
			window.location.hash = this.hash;
			$('html,body').scrollTop(scrollmem);
		});
		
		// jQuery colorpicker using class control.
		/*if( $('#color-field').length ){
			$('#color-field').wpColorPicker();	
		}*/

		// Select Option using Search 
		if( $('.select2-jQuery').length ){
			$("#theme-options-page select.select2-jQuery").select2();
			$("#theme-options-page li.select2-search-field input").removeAttr('type');
		}

	    // jQuery using theme options reset setting.
	    if( $('#mh-theme-options-form').length ){
			$('#mh-theme-options-form').find('#reset-button').on('click mousedown mouseup', function(){
				if( confirm("Click to Reset. Any settings will be lost.") ) {
					$.post(ajaxurl, { action: 'mh_admin_theme_options_reset' }, function(data){
						if(data.error){
							alert("Error");
						}else{
							window.location.reload();
						}
					}, 'json');
				}
				return false;
			});
		}
		
		//  jQuery Spinner class control
		if( $('.spinner_id').length ){
			$(".spinner_id").spinner();
		}

		// jQuery Slider each options event fire.  :  http://jsfiddle.net/j08691/EquTn/4/
		if( $('.slider').length ){
		    $(".slider").slider({
		        range: "max",
		        min: 0,
		        max: 100,
		        create: function () {
		            $(this).slider( "option", "value", $(this).next().val() );
		        },
		        slide: function (event, ui) {
		           // var id = $(this).attr("id");
		            $(this).siblings("span").text(ui.value);
		            $(this).siblings("input").val(ui.value);
		        }
		    });
		}

		jQuery("#searchTextField").on('keyup', function(){
			$(this).attr('value', this.value );
		});

		if( jQuery(".MapLat, .MapLon").length ){

			var lat = jQuery(".MapLat").val() != '' ? jQuery(".MapLat").val() : 44.88623409320778,
			 	lng = jQuery(".MapLon").val() != '' ? jQuery(".MapLon").val() : -87.86480712897173,
			  	latlng = new google.maps.LatLng(lat, lng),
	            image = 'http://www.google.com/intl/en_us/mapfiles/ms/micons/blue-dot.png';

	         //zoomControl: true,
	         //zoomControlOptions: google.maps.ZoomControlStyle.LARGE,

	         var mapOptions = {
	             center: new google.maps.LatLng(lat, lng),
	             zoom: 11,
	             mapTypeId: google.maps.MapTypeId.ROADMAP,
	             panControl: true,
	             panControlOptions: {
	                 position: google.maps.ControlPosition.TOP_RIGHT
	             },
	             zoomControl: true,
	             zoomControlOptions: {
	                 style: google.maps.ZoomControlStyle.LARGE,
	                 position: google.maps.ControlPosition.TOP_left
	             }
	         },
	         map = new google.maps.Map(document.getElementById('map_canvas'), mapOptions),
	             marker = new google.maps.Marker({
	                 position: latlng,
	                 map: map,
	                 icon: image
	             });

	         var input = document.getElementById('searchTextField');
	         var autocomplete = new google.maps.places.Autocomplete(input, {
	             types: ["geocode"]
	         });

	         autocomplete.bindTo('bounds', map);
	         var infowindow = new google.maps.InfoWindow();

	         google.maps.event.addListener(autocomplete, 'place_changed', function (event) {
	             infowindow.close();
	             var place = autocomplete.getPlace();
	             if (place.geometry.viewport) {
	                 map.fitBounds(place.geometry.viewport);
	             } else {
	                 map.setCenter(place.geometry.location);
	                 map.setZoom(17);
	             }

	             moveMarker(place.name, place.geometry.location);
	             $('.MapLat').val(place.geometry.location.lat());
	             $('.MapLon').val(place.geometry.location.lng());
	         });
	         google.maps.event.addListener(map, 'click', function (event) {
	             $('.MapLat').val(event.latLng.lat());
	             $('.MapLon').val(event.latLng.lng());
	             infowindow.close();
	                     var geocoder = new google.maps.Geocoder();
	                     geocoder.geocode({
	                         "latLng":event.latLng
	                     }, function (results, status) {
	                         console.log(results, status);
	                         if (status == google.maps.GeocoderStatus.OK) {
	                             console.log(results);
	                             var lat = results[0].geometry.location.lat(),
	                                 lng = results[0].geometry.location.lng(),
	                                 placeName = results[0].address_components[0].long_name,
	                                 latlng = new google.maps.LatLng(lat, lng);

	                             moveMarker(placeName, latlng);
	                             $("#searchTextField").val(results[0].formatted_address);
	                         }
	                     });
	         });
	        
	         function moveMarker(placeName, latlng) {
	             marker.setIcon(image);
	             marker.setPosition(latlng);
	             infowindow.setContent(placeName);
	             //infowindow.open(map, marker);
	         }
		}

		//  jQuery Upload image script.
		$.fn.ease = function(e) {

		    var defaults = {
		        'preview' : '.preview-upload',
		        'button'  : '.button-upload',
				'text'    : '.text-upload',
				'remove'  : '.button-remove'
		    };
		    var options  = $.extend( defaults, e );
		    
		    $(options.button).click( function() {
		     
				var remove = $( this ).siblings( options.remove );
				var preview = $( this ).siblings( options.preview );
				var text = $( this ).siblings( options.text );
		        tb_show( 'Upload a image', 'media-upload.php?type=image&TB_iframe=true&post_id=0', false );
		        
		        window.send_to_editor = function( html ) {

		            var src_1 = $( 'img', html  ).attr('src');
		            var src_2 = $( html ).prop('src');
		            var src_3 = $( html ).find("img").attr("src");
		            var src_4 = $( html ).attr("src");

		            var src = '';
		            
		            if( src_1 !== null && src_1 !== undefined ){ src = src_1; }
		            else if( src_2 !== null && src_2 !== undefined ){ src = src_2; }
		            else if( src_3 !== null && src_3 !== undefined ){ src = src_3; }
		            else if( src_4 !== null && src_4 !== undefined ){ src = src_4; }
		            else{ alert('If Logo Not Display. So Please You can Upload logo using Live Customizer : General Setting and Upload Logo. WordPress » Appearance » Customizer » Select Genral Setting » Upload Logo.') }

					preview.attr( 'src', src ).trigger( 'change' );
					text.attr( 'value', src ).trigger( 'change' );					
					preview.attr( 'style' , 'display:block;max-width:220px;border:1px solid #ddd;');
					remove.attr ( 'style' , 'display:block' );
					remove.attr ( 'value' , 'Remove' );			
		            tb_remove(); 				
		        };				
		        return false;
		    });
		    $(options.text).bind('change', function() {
		        
		        var url = this.value;
		        var preview = $( this ).siblings( options.preview );
		        $( preview ).attr( 'src', url );

		    } ); 
		    $(options.remove).click( function() {				
				var preview = $( this ).siblings( options.preview );
				var text = $( this ).siblings( options.text );
				
		        $( preview ).attr( 'src', '' );
				$( preview ).attr( 'style', 'display:none;' );
				
		        $( text ).attr( 'value', '' );
				$( this ).attr( 'style',' display:none; ' );
				$( this ).attr( 'value','' );
				
		    });
		};
		$('.upload').ease(); // Use as default option.		

    });
})(jQuery);
