<?php
/**
 *   Theme logo or Text Display.
 */
if( !function_exists('fixit_function_header_logo')) {

	function fixit_function_header_logo(){

		if( mh_get_option('plain_text_logo') != "" ){
			print '<h1 class="site-title"><a href="'. esc_url( home_url( '/' ) ) .'" rel="home">'. bloginfo( 'name' ) .'</a></h1>';

		}elseif( mh_get_option('plain_text_logo') == "" && mh_get_option('logo') != "" ){
	        print '<a class="" href="'. esc_url( home_url( '/' ) ) .'" rel="home">'
	            . '<img class="header_img_logo" alt="'.get_bloginfo( 'name' ).'" src="'. esc_url( mh_get_option('logo') ) .'"></a>';

		}else{
			print '<a class="" href="'. esc_url( home_url( '/' ) ) .'" rel="home">'
				. '<img class="header_img_logo" alt="'.get_bloginfo( 'name' ).'" src="'. esc_url( get_template_directory_uri() . '/assets/ac-repair/images/logo.png' ) .'">'
				. '</a>';
		}
	}
}

if( ! function_exists( 'fixit_return_post_data' ) ){

	function fixit_return_post_data( $data ){

		$data = !empty( $data ) ? $data : 'post';
		$args_post = $args_id = $args = array();
		$services_args = array( 'post_type' => $data, 'posts_per_page' => -1, 'post_status'=> 'publish', 'post__not_in' => get_option("sticky_posts") );
		$services_loop = new WP_Query( $services_args );
		while ( $services_loop->have_posts() ) : $services_loop->the_post();

			if( get_the_title() != '' ) {

				$args_post[] = get_the_title();
				$args_id[] = get_the_ID();
			}

		endwhile;
		wp_reset_postdata();

		if( count( $args_post) == count( $args_id ) && is_array($args_post) && is_array($args_id) && !empty($args_post) && !empty($args_id)  ){
			return $args = array_combine( $args_id, $args_post);
		}else {
			return $args = array();
		}

		return false;
	}
}

if( ! function_exists( 'fixit_function_testimonials_star_rating' ) ){

	function fixit_function_testimonials_star_rating( $args ){

		$star = '';

        for( $i = (int) absint($args); $i>= (int) absint('1'); $i-- )
            $star .= '<span class="star-done"><i class="fa fa-star"></i></span>';

        for( $j = (int) absint($args); $j< (int) absint('5'); $j++ )
            $star .= '<span class="star-done"><i class="fa fa-star-o"></i></span>';

        return $star;
    }
}

/**
 *   Social Media Profile Display.
 */
if( !function_exists( 'fixit_function_social_icon' ) ){

	function fixit_function_social_icon( $args = array() ){

		$social_icon = $social = array();

		$social_list    = array( 'facebook', 'twitter', 'pinterest', 'linkedin', 'google-plus', 'rss', 'tumblr', 'instagram', 'youtube', 'vimeo', 
							     'behance', 'dribbble', 'flickr', 'git', 'skype', 'weibo', 'foursquare', 'soundcloud' );

		$mh_social_icon = array( 'social_facebook', 'social_twitter', 'social_pintrest', 'social_linkedin', 'social_google', 'social_rss',
								 'social_tumblr', 'social_instagram', 'social_youtube', 'social_vimeo', 'social_behance', 'social_dribble',
								 'social_flickr', 'social_git', 'social_skype', 'social_weibo', 'social_foursqure', 'social_soundcloude' );

		$new_social_args = array_combine( $mh_social_icon, $social_list );

		if( isset($args['class']) ){  $social_icon_class = ' class="'. esc_attr( $args['class'] ) .'" ';  }

		if( isset($args['style']) ){  $social_style = ' style="'. esc_attr( $args['style'] ) .'" ';  }

		if( isset($args['icon']) == "square" ){

			$social['facebook']    = '<i class="fa fa-facebook-square"></i>';
			$social['twitter']     = '<i class="fa fa-twitter-square"></i>';
			$social['pinterest']   = '<i class="fa fa-pinterest-square"></i>';
			$social['linkedin']    = '<i class="fa fa-linkedin-square"></i>';
			$social['google-plus'] = '<i class="fa fa-google-plus-square"></i>';
			$social['rss']         = '<i class="fa fa-rss-square"></i>';
			$social['tumblr']      = '<i class="fa fa-tumblr-square"></i>';
			$social['instagram']   = '<i class="fa fa-instagram"></i>';
			$social['youtube']     = '<i class="fa fa-youtube-square"></i>';			
			$social['vimeo']       = '<i class="fa fa-vimeo-square"></i>';
			$social['behance']     = '<i class="fa fa-behance-square"></i>';
			$social['dribbble']    = '<i class="fa fa-dribbble"></i>';
			$social['flickr']      = '<i class="fa fa-flickr"></i>';
			$social['git']         = '<i class="fa fa-git-square"></i>';
			$social['skype']       = '<i class="fa fa-skype"></i>';
			$social['weibo']       = '<i class="fa fa-weibo"></i>';
			$social['foursquare']  = '<i class="fa fa-foursquare"></i>';
			$social['soundcloud']  = '<i class="fa fa-soundcloud"></i>';

		}

		foreach( $social_list as $_icon_ ){

			if( $args['icon'] == "simple" )  $social[ $_icon_ ] = '<i class="fa fa-'. $_icon_ .'"></i>';
			if( $args['name'] === true )     $social_name[ $_icon_ ] = ucwords( $_icon_ );
		}

		foreach( $new_social_args as $key => $value ){

			if( mh_get_option( Fixit_Factory::fixit_prefix(). $key ) )
				
			 	if( isset( $social_name[ $value ] ) )
					$social_icon[] = $args['before'] . '<a href="'.esc_url(mh_get_option( Fixit_Factory::fixit_prefix(). $key )).'" '.$social_icon_class . $social_style .'>'.$social[ $value ]. $social_name[ $value ] .'</a>' . $args['after'];
				else
					$social_icon[] = $args['before'] . '<a href="'.esc_url(mh_get_option( Fixit_Factory::fixit_prefix(). $key )).'" '.$social_icon_class . $social_style .'>'.$social[ $value ] .'</a>' . $args['after'];
		}

		return $social_icon;
	}
}
/**
 *   Post-Formate Diaplay.
 */
if( !function_exists( 'fixit_function_post_formate' ) ){

	function fixit_function_post_formate( $args ){

		global $post, $wp_query;

		if( $args == 'true' or $args == 'false' ):

		$post_format = get_post_format();
		if ($post_format === false) {
			$post_format = 'image';
		}
		$data = $post_data = $comments = '';

		$comments  .= ( get_comments_number() == 1 ? (get_comments_number()) : (get_comments_number()) );

		$post_data .= '<div class="meta meta-bg"><div class="meta-date">';
		$post_data .= '<div class="date">'.  get_the_time('d') . '</div>'.  get_the_time('F'). '</div>';
		$post_data .= '<div class="meta-comment"><a href="'. get_comments_link() .'">'. $comments .'<br><i class="fa  fa-comments"></i></a></div></div>';

		switch ($post_format) {
			case 'standard':
				$style = 0;
				$data = '';
			break;
			case 'image':
				if (wp_get_attachment_url(get_post_thumbnail_id($post->ID))) {
					$thumbnail_url = wp_get_attachment_url(get_post_thumbnail_id($post->ID));

					if( $args == 'false' )
						$data .= '<img alt="'.get_the_title().'" title="'.get_the_title().'" class="img-responsive" src="' . esc_url( $thumbnail_url ) . '"/>'. $post_data;
					if( $args == 'true' )
						$data .= '<a href="'.get_the_permalink().'"><img alt="'.get_the_title().'" title="'.get_the_title().'" class="img-responsive" src="' . esc_url( $thumbnail_url ) . '"/></a>'. $post_data;
				}
			break;
			case 'gallery':

				global $post;

				$values = get_post_custom($post->ID);

				if( isset( $values['product_gallery'] ) )  $ids = json_decode( $values['product_gallery'][0] );
				else $ids = array();

				$cs_ids = implode(",", $ids); 

				if( $cs_ids != '' ){

					$data .= '<div class="post-slider">';
					foreach ( explode( ',', $cs_ids ) as $item) {
						$thumbnail_url = wp_get_attachment_url($item);
						$data .= '<div class="post-img">';

							if( $args == 'false' ){
								$data .= '<img alt="'.get_the_title().'" title="'. get_the_title() .'" class="img-responsive" src="' . esc_url( $thumbnail_url ) . '" />';
							}
							if( $args == 'true' ){
								$data .= '<a href="'.get_the_permalink().'"><img alt="'.get_the_title().'" title="'. get_the_title() .'" class="img-responsive" src="' . esc_url( $thumbnail_url ) . '" /></a>';
							}
							
						$data .= '</div>';
					}
					$data .= '</div>'. $post_data;

				}			

			break;
			case 'video':			    	
				if (get_post_meta(get_the_ID(), 'show_video', true)) {
					$media_url = get_post_meta(get_the_ID(), 'show_video', true);			            

					$data .= '<div class="videoWrapper">';
					$data .= fixit_function_video_embed(wp_oembed_get( $media_url )) . $post_data;
					$data .= '</div>';
				}
			break;
			case 'audio':
				if (get_post_meta(get_the_ID(), 'show_audio', true)) {
					$media_url = get_post_meta(get_the_ID(), 'show_audio', true);

					$data .= '<div class="videoWrapper">';
					$data .= fixit_function_video_embed(wp_oembed_get( $media_url )) . $post_data;
					$data .= '</div>';
				}
			break;
			default:
				if (wp_get_attachment_url(get_post_thumbnail_id($post->ID))) {
					$thumbnail_url = wp_get_attachment_url(get_post_thumbnail_id($post->ID));

					if( $args == 'false' ){
						$data .= '<img alt="'. get_the_title() .'" title="'. get_the_title() .'" class="img-responsive" src="' . esc_url( $thumbnail_url ) . '"/>'. $post_data;
					}
					if( $args == 'true' ){
						$data .= '<a href="'.get_the_permalink().'"><img alt="'. get_the_title() .'" title="'. get_the_title() .'" class="img-responsive" src="' . esc_url( $thumbnail_url ) . '"/></a>'. $post_data;
					}
				}
			break;
		}

		return ( $data );  else : return;
		endif;
	}
}
/**
 * Content Blog Meta. 
 */
if( !function_exists('fixit_function_blog_meta') ) {

	 function fixit_function_blog_meta(){
	
		print '<span class="meta-author">'. esc_html__('By','ac-repair') .' <a href="'.get_author_posts_url(get_the_author_meta('ID')).'">'.get_the_author().'</a>  / </span>';
	}
}
/**
 *   Pagination.
 */
if(!function_exists( 'fixit_function_pagination' ) ){

	function fixit_function_pagination( $numpages = '', $pagerange = '', $paged='' ){

	  global $paged, $wp_query;

	  if ( empty($pagerange) ){
	  	   $pagerange = absint('2');
	  }

	  if ( empty($paged) ){
	       $paged = absint('1');
	  }

	  if ($numpages == ''){  
	  	  $numpages = $wp_query->max_num_pages;
	      if(!$numpages) $numpages = absint('1');
	  }

	  $big = absint('999999999'); // need an unlikely integer

	  $pagination_args = array(
	    'base'            => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
	    'format'          => '&paged=%#%',
	    'total'           => $numpages,
	    'current'         => $paged,
	    'show_all'        => false,
	    'end_size'        => 1,
	    'mid_size'        => $pagerange,
	    'prev_next'       => true,
	    'type'            => 'array',
	    'add_args'        => false,
	    'add_fragment'    => '',
	    'prev_text'       => esc_html__('&laquo; Previous','ac-repair'),
		'next_text'       => esc_html__('Next &raquo;','ac-repair'),
	  );

	  $pages = paginate_links($pagination_args);

	  if( is_array( $pages ) ) {  $paged = ( get_query_var('paged') == absint('0') ) ? absint('1') : get_query_var('paged');

          print '<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 text-center st-pagination"><ul class="pagination">';
        	foreach ( $pages as $page )  echo "<li>$page</li>";
          print '</ul></div>';
     }

	}
}

/** 
* Single Next, Previouse Link.
*/
if( !function_exists('fixit_function_single_post_link') ){	 

	 function fixit_function_single_post_link(){

		 $p = get_adjacent_post(false, '', true); 
		 $n = get_adjacent_post(false, '', false);

		 if(!empty($p) || !empty($n)) {

			print '<div class="next-prev-block col-lg-12 col-md-12 col-sm-12 col-xs-12"><div class="row">';

    	    // previous post title with link 
	        if(!empty($p)) 

			printf('<div class="col-lg-6 col-md-6 col-sm-6 col-xs-12 col-xs-mb-30">
						<div class="prev-block well-default">
							<a href="%s" class="btn-link" title="%s"> %s </a>
								<h4><a href="%s" class="heading-title"> %s </a></h4>
						</div>
					</div>', get_permalink($p->ID), $p->post_title, esc_html__('PREVIOUS POST','ac-repair'),  get_permalink($p->ID), $p->post_title );

			// next post title with link 			
			if(!empty($n)) 

			printf('<div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
						<div class="next-block well-default">
							<a href="%s" class="btn-link" title="%s"> %s </a>
							<h4><a href="%s" class="heading-title">%s</a></h4>
						</div>
					</div>', get_permalink($n->ID), $n->post_title, esc_html__('NEXT POST','ac-repair'), get_permalink($n->ID), $n->post_title ); 

			print '</div><hr/></div>';
		 }		
	} 
}

/**
 * Archive Title.
 */
if( !function_exists('fixit_function_the_archive_description') ){
	
	 function fixit_function_the_archive_description( $before = '', $after = '' ) {

		$description = apply_filters( 'get_the_archive_description', term_description() );
		if ( ! empty( $description ) ) print $before . $description . $after;
	}
}
/**
 * the_achive description.
 */
if( !function_exists('fixit_function_the_archive_title') ){

	 function fixit_function_the_archive_title( $before = '', $after = '' ) {

		if ( is_category() ) {
			$title = sprintf( esc_html__( 'Category: %s', 'ac-repair' ), single_cat_title( '', false ) );
		} elseif ( is_tag() ) {
			$title = sprintf( esc_html__( 'Tag: %s', 'ac-repair' ), single_tag_title( '', false ) );
		} elseif ( is_author() ) {
			$title = sprintf( esc_html__( 'Author: %s', 'ac-repair' ), '<span class="vcard">' . get_the_author() . '</span>' );
		} elseif ( is_year() ) {
			$title = sprintf( esc_html__( 'Year: %s', 'ac-repair' ), get_the_date( esc_html_x( 'Y', 'yearly archives date format', 'ac-repair' ) ) );
		} elseif ( is_month() ) {
			$title = sprintf( esc_html__( 'Month: %s', 'ac-repair' ), get_the_date( esc_html_x( 'F Y', 'monthly archives date format', 'ac-repair' ) ) );
		} elseif ( is_day() ) {
			$title = sprintf( esc_html__( 'Day: %s', 'ac-repair' ), get_the_date( esc_html_x( 'F j, Y', 'daily archives date format', 'ac-repair' ) ) );
		} elseif ( is_tax( 'post_format' ) ) {
			if ( is_tax( 'post_format', 'post-format-aside' ) ) {
				$title = esc_html_x( 'Asides', 'post format archive title', 'ac-repair' );
			} elseif ( is_tax( 'post_format', 'post-format-gallery' ) ) {
				$title = esc_html_x( 'Galleries', 'post format archive title', 'ac-repair' );
			} elseif ( is_tax( 'post_format', 'post-format-image' ) ) {
				$title = esc_html_x( 'Images', 'post format archive title', 'ac-repair' );
			} elseif ( is_tax( 'post_format', 'post-format-video' ) ) {
				$title = esc_html_x( 'Videos', 'post format archive title', 'ac-repair' );
			} elseif ( is_tax( 'post_format', 'post-format-quote' ) ) {
				$title = esc_html_x( 'Quotes', 'post format archive title', 'ac-repair' );
			} elseif ( is_tax( 'post_format', 'post-format-link' ) ) {
				$title = esc_html_x( 'Links', 'post format archive title', 'ac-repair' );
			} elseif ( is_tax( 'post_format', 'post-format-status' ) ) {
				$title = esc_html_x( 'Statuses', 'post format archive title', 'ac-repair' );
			} elseif ( is_tax( 'post_format', 'post-format-audio' ) ) {
				$title = esc_html_x( 'Audio', 'post format archive title', 'ac-repair' );
			} elseif ( is_tax( 'post_format', 'post-format-chat' ) ) {
				$title = esc_html_x( 'Chats', 'post format archive title', 'ac-repair' );
			}
		} elseif ( is_post_type_archive() ) {
			$title = sprintf( esc_html__( 'Archives: %s', 'ac-repair' ), post_type_archive_title( '', false ) );
		} elseif ( is_tax() ) {
			$tax = get_taxonomy( get_queried_object()->taxonomy );
			/* translators: 1: Taxonomy singular name, 2: Current taxonomy term */
			$title = sprintf( esc_html__( '%1$s: %2$s', 'ac-repair' ), $tax->labels->singular_name, single_term_title( '', false ) );
		} else {
			$title = esc_html__( 'Archives', 'ac-repair' );
		}
	
		/**
		 * the_archive title.
		 */
		$title = apply_filters( 'get_the_archive_title', $title );
		if ( ! empty( $title ) ) {
			print $before . $title . $after;  // WPCS: XSS OK.
		}
	}
}
/**
*  The Blog post video iframe support browser.
*/
if( !function_exists('fixit_function_video_embed') ){
	
	 function fixit_function_video_embed($embed_code){

		$embed_code=str_replace('webkitallowfullscreen','',$embed_code);
		$embed_code=str_replace('mozallowfullscreen','',$embed_code);
		$embed_code=str_replace('frameborder="0"','',$embed_code);
		$embed_code=str_replace('frameborder="no"','',$embed_code);
		$embed_code=str_replace('scrolling="no"','',$embed_code);
		$embed_code=str_replace('&','&amp;',$embed_code);
		return $embed_code;
	}
}
/**
 *  The content filter
 */ 

if( !function_exists('fixit_function_responsive_class') ) {
	
	 function fixit_function_responsive_class($content) {
		 
		   global $post;
		   $pattern ="/<img(.*?)class=\"(.*?)\"(.*?)>/i";
		   $replacement = '<img$1class="$2 img-responsive img-shadow"$3>';
		   $content = preg_replace($pattern, $replacement, $content);
		   return $content;

	}add_filter('the_content', 'fixit_function_responsive_class');
}
/** 
 * 	The Excerpt for word counting in the_content.
 */
if( !function_exists('fixit_function_getwords') ){
	
	 function fixit_function_getwords($text, $limit) {
		 
		$array = explode("", $text, $limit+1);
		if (count($array) > $limit) : unset($array[$limit]);
		endif;		
		return esc_html(implode("", $array));
	 } 	 
}
/** 
 * 	The Excerpt for Character counting in the_content.
 */
if( !function_exists('fixit_function_getcharcut') ){

	 function fixit_function_getcharcut($text, $limit){
		 
		$char_cut=substr(strip_tags(stripslashes($text)),0,$limit);
		if(strlen($text)<=$limit) : return  $char_cut; 
		else : return esc_html( $char_cut );	
		endif;
	 } 	 
}
/**
 *   The All blog post, sidebar in current date show function.
 */
if( !function_exists('fixit_function_date_formate') ){

	function fixit_function_date_formate(){
		return ( the_time('d F, Y') );
	}
}
/** 
 *  Fontellow icon list
 */
if( !function_exists('fixit_function_fontello_icon_array') ){

	function fixit_function_fontello_icon_array(){

		$fontello_icon = array(
			
			'icon-game-console-15' => 'icon-game-console-15',
			'icon-game-console-16' => 'icon-game-console-16',
			'icon-game-controller' => 'icon-game-controller',
			'icon-game-controller-1' => 'icon-game-controller-1',
			'icon-game-controller-2' => 'icon-game-controller-2',
			'icon-game-controller-3' => 'icon-game-controller-3',
			'icon-game-controller-4' => 'icon-game-controller-4',
			'icon-game-controller-5' => 'icon-game-controller-5',
			'icon-game-controller-6' => 'icon-game-controller-6',
			'icon-game-controller-7' => 'icon-game-controller-7',
			'icon-game-controller-8' => 'icon-game-controller-8',
			'icon-game-controller-9' => 'icon-game-controller-9',
			'icon-hdmi' => 'icon-hdmi',
			'icon-headphones' => 'icon-headphones',
			'icon-ibook' => 'icon-ibook',
			'icon-imac' => 'icon-imac',
			'icon-imac-1' => 'icon-imac-1',
			'icon-imac-2' => 'icon-imac-2',
			'icon-imac-3' => 'icon-imac-3',
			'icon-imac-4' => 'icon-imac-4',
			'icon-ipad' => 'icon-ipad',
			'icon-ipad-1' => 'icon-ipad-1',
			'icon-ipad-2' => 'icon-ipad-2',
			'icon-ipad-3' => 'icon-ipad-3',
			'icon-iphone' => 'icon-iphone',
			'icon-iphone-1' => 'icon-iphone-1',
			'icon-iphone-2' => 'icon-iphone-2',
			'icon-iphone-3' => 'icon-iphone-3',
			'icon-iphone-4' => 'icon-iphone-4',
			'icon-iphones' => 'icon-iphones',
			'icon-ipod' => 'icon-ipod',
			'icon-ipod-1' => 'icon-ipod-1',
			'icon-jack' => 'icon-jack',
			'icon-joystick' => 'icon-joystick',
			'icon-joystick-1' => 'icon-joystick-1',
			'icon-joystick-2' => 'icon-joystick-2',
			'icon-lisa' => 'icon-lisa',
			'icon-macbook' => 'icon-macbook',
			'icon-macbook-1' => 'icon-macbook-1',
			'icon-macintosh' => 'icon-macintosh',
			'icon-mac-mini' => 'icon-mac-mini',
			'icon-magsafe' => 'icon-magsafe',
			'icon-microphone' => 'icon-microphone',
			'icon-microphone-1' => 'icon-microphone-1',
			'icon-monitor' => 'icon-monitor',
			'icon-monitor-1' => 'icon-monitor-1',
			'icon-monitor-2' => 'icon-monitor-2',
			'icon-motherboard' => 'icon-motherboard',
			'icon-mouse' => 'icon-mouse',
			'icon-mouse-1' => 'icon-mouse-1',
			'icon-mouse-2' => 'icon-mouse-2',
			'icon-mouse-3' => 'icon-mouse-3',
			'icon-mouse-4' => 'icon-mouse-4',
			'icon-photo-camera' => 'icon-photo-camera',
			'icon-plug' => 'icon-plug',
			'icon-plug-1' => 'icon-plug-1',
			'icon-projector' => 'icon-projector',
			'icon-projector-1' => 'icon-projector-1',
			'icon-ram-memory' => 'icon-ram-memory',
			'icon-router' => 'icon-router',
			'icon-sata' => 'icon-sata',
			'icon-server' => 'icon-server',
			'icon-server-1' => 'icon-server-1',
			'icon-servers' => 'icon-servers',
			'icon-smartphone' => 'icon-smartphone',
			'icon-smartphone-1' => 'icon-smartphone-1',
			'icon-smartphone-2' => 'icon-smartphone-2',
			'icon-smartphone-3' => 'icon-smartphone-3',
			'icon-smartphone-4' => 'icon-smartphone-4',
			'icon-smart-tv' => 'icon-smart-tv',
			'icon-smartwatch' => 'icon-smartwatch',
			'icon-smartwatch-1' => 'icon-smartwatch-1',
			'icon-smartwatch-2' => 'icon-smartwatch-2',
			'icon-sound-cable' => 'icon-sound-cable',
			'icon-sound-card' => 'icon-sound-card',
			'icon-speakers' => 'icon-speakers',
			'icon-ssd' => 'icon-ssd',
			'icon-tablet' => 'icon-tablet',
			'icon-tablet-1' => 'icon-tablet-1',
			'icon-tablet-2' => 'icon-tablet-2',
			'icon-tablet-3' => 'icon-tablet-3',
			'icon-television' => 'icon-television',
			'icon-television-1' => 'icon-television-1',
			'icon-television-2' => 'icon-television-2',
			'icon-television-3' => 'icon-television-3',
			'icon-television-4' => 'icon-television-4',
			'icon-typewriter' => 'icon-typewriter',
			'icon-typewriter-1' => 'icon-typewriter-1',
			'icon-usb' => 'icon-usb',
			'icon-usb-1' => 'icon-usb-1',
			'icon-usb-2' => 'icon-usb-2',
			'icon-video-card' => 'icon-video-card',
			'icon-cable' => 'icon-cable',
			'icon-charger' => 'icon-charger',
			'icon-charger-1' => 'icon-charger-1',
			'icon-charger-2' => 'icon-charger-2',
			'icon-chip' => 'icon-chip',
			'icon-chip-1' => 'icon-chip-1',
			'icon-computer' => 'icon-computer',
			'icon-cooler' => 'icon-cooler',
			'icon-copy-machine' => 'icon-copy-machine',
			'icon-copy-machine-1' => 'icon-copy-machine-1',
			'icon-dvi' => 'icon-dvi',
			'icon-earphones' => 'icon-earphones',
			'icon-ethernet' => 'icon-ethernet',
			'icon-game-console' => 'icon-game-console',
			'icon-game-console-1' => 'icon-game-console-1',
			'icon-game-console-2' => 'icon-game-console-2',
			'icon-game-console-3' => 'icon-game-console-3',
			'icon-game-console-4' => 'icon-game-console-4',
			'icon-game-console-5' => 'icon-game-console-5',
			'icon-game-console-6' => 'icon-game-console-6',
			'icon-game-console-7' => 'icon-game-console-7',
			'icon-game-console-8' => 'icon-game-console-8',
			'icon-game-console-9' => 'icon-game-console-9',
			'icon-game-console-10' => 'icon-game-console-10',
			'icon-game-console-11' => 'icon-game-console-11',
			'icon-game-console-12' => 'icon-game-console-12',
			'icon-game-console-13' => 'icon-game-console-13',
			'icon-game-console-14' => 'icon-game-console-14',
			'icon-speech-bubble-27' => 'icon-speech-bubble-27',
			'icon-speech-bubble-28' => 'icon-speech-bubble-28',
			'icon-star' => 'icon-star',
			'icon-sticker' => 'icon-sticker',
			'icon-sticker-1' => 'icon-sticker-1',
			'icon-sticker-2' => 'icon-sticker-2',
			'icon-sticker-3' => 'icon-sticker-3',
			'icon-sticker-4' => 'icon-sticker-4',
			'icon-stick-man' => 'icon-stick-man',
			'icon-stick-man-1' => 'icon-stick-man-1',
			'icon-stick-man-2' => 'icon-stick-man-2',
			'icon-stick-man-3' => 'icon-stick-man-3',
			'icon-stick-man-4' => 'icon-stick-man-4',
			'icon-tap' => 'icon-tap',
			'icon-telephone' => 'icon-telephone',
			'icon-telephone-1' => 'icon-telephone-1',
			'icon-telephone-2' => 'icon-telephone-2',
			'icon-telephone-3' => 'icon-telephone-3',
			'icon-telephone-4' => 'icon-telephone-4',
			'icon-telephone-5' => 'icon-telephone-5',
			'icon-telephone-6' => 'icon-telephone-6',
			'icon-telephone-7' => 'icon-telephone-7',
			'icon-telephone-8' => 'icon-telephone-8',
			'icon-up-arrow' => 'icon-up-arrow',
			'icon-upload' => 'icon-upload',
			'icon-upload-1' => 'icon-upload-1',
			'icon-upload-2' => 'icon-upload-2',
			'icon-user' => 'icon-user',
			'icon-user-1' => 'icon-user-1',
			'icon-user-2' => 'icon-user-2',
			'icon-add' => 'icon-add',
			'icon-bar-chart' => 'icon-bar-chart',
			'icon-book' => 'icon-book',
			'icon-bookmark' => 'icon-bookmark',
			'icon-cancel' => 'icon-cancel',
			'icon-check' => 'icon-check',
			'icon-checked' => 'icon-checked',
			'icon-check-mark' => 'icon-check-mark',
			'icon-close' => 'icon-close',
			'icon-communication' => 'icon-communication',
			'icon-communication-1' => 'icon-communication-1',
			'icon-communication-2' => 'icon-communication-2',
			'icon-communication-3' => 'icon-communication-3',
			'icon-communication-4' => 'icon-communication-4',
			'icon-communication-5' => 'icon-communication-5',
			'icon-communication-6' => 'icon-communication-6',
			'icon-cursor' => 'icon-cursor',
			'icon-cursor-1' => 'icon-cursor-1',
			'icon-cursor-2' => 'icon-cursor-2',
			'icon-delete' => 'icon-delete',
			'icon-dislike' => 'icon-dislike',
			'icon-dislike-1' => 'icon-dislike-1',
			'icon-down-arrow' => 'icon-down-arrow',
			'icon-download' => 'icon-download',
			'icon-download-1' => 'icon-download-1',
			'icon-download-2' => 'icon-download-2',
			'icon-edit' => 'icon-edit',
			'icon-email' => 'icon-email',
			'icon-email-1' => 'icon-email-1',
			'icon-expand' => 'icon-expand',
			'icon-expand-1' => 'icon-expand-1',
			'icon-export' => 'icon-export',
			'icon-forbidden' => 'icon-forbidden',
			'icon-heart' => 'icon-heart',
			'icon-heart-1' => 'icon-heart-1',
			'icon-heart-2' => 'icon-heart-2',
			'icon-import' => 'icon-import',
			'icon-import-1' => 'icon-import-1',
			'icon-import-2' => 'icon-import-2',
			'icon-left-arrow' => 'icon-left-arrow',
			'icon-left-arrow-1' => 'icon-left-arrow-1',
			'icon-letter' => 'icon-letter',
			'icon-like' => 'icon-like',
			'icon-like-1' => 'icon-like-1',
			'icon-list' => 'icon-list',
			'icon-list-1' => 'icon-list-1',
			'icon-list-2' => 'icon-list-2',
			'icon-list-3' => 'icon-list-3',
			'icon-list-4' => 'icon-list-4',
			'icon-login' => 'icon-login',
			'icon-logout' => 'icon-logout',
			'icon-megaphone' => 'icon-megaphone',
			'icon-menu' => 'icon-menu',
			'icon-menu-1' => 'icon-menu-1',
			'icon-menu-2' => 'icon-menu-2',
			'icon-microphone-2' => 'icon-microphone-2',
			'icon-next' => 'icon-next',
			'icon-next-1' => 'icon-next-1',
			'icon-organization' => 'icon-organization',
			'icon-orientation' => 'icon-orientation',
			'icon-padlock' => 'icon-padlock',
			'icon-padlock-1' => 'icon-padlock-1',
			'icon-paper-plane' => 'icon-paper-plane',
			'icon-password' => 'icon-password',
			'icon-photo-camera-1' => 'icon-photo-camera-1',
			'icon-picture' => 'icon-picture',
			'icon-pie-chart' => 'icon-pie-chart',
			'icon-pie-chart-1' => 'icon-pie-chart-1',
			'icon-placeholder' => 'icon-placeholder',
			'icon-plus' => 'icon-plus',
			'icon-previous' => 'icon-previous',
			'icon-previous-1' => 'icon-previous-1',
			'icon-repeat' => 'icon-repeat',
			'icon-repeat-1' => 'icon-repeat-1',
			'icon-repeat-2' => 'icon-repeat-2',
			'icon-repeat-3' => 'icon-repeat-3',
			'icon-repeat-4' => 'icon-repeat-4',
			'icon-repeat-5' => 'icon-repeat-5',
			'icon-repeat-6' => 'icon-repeat-6',
			'icon-repeat-7' => 'icon-repeat-7',
			'icon-repeat-8' => 'icon-repeat-8',
			'icon-repeat-9' => 'icon-repeat-9',
			'icon-right-arrow' => 'icon-right-arrow',
			'icon-right-arrow-1' => 'icon-right-arrow-1',
			'icon-save' => 'icon-save',
			'icon-search' => 'icon-search',
			'icon-shuffle' => 'icon-shuffle',
			'icon-smartphone-5' => 'icon-smartphone-5',
			'icon-smartphone-6' => 'icon-smartphone-6',
			'icon-sort' => 'icon-sort',
			'icon-sort-1' => 'icon-sort-1',
			'icon-speaker' => 'icon-speaker',
			'icon-speech-bubble' => 'icon-speech-bubble',
			'icon-speech-bubble-1' => 'icon-speech-bubble-1',
			'icon-speech-bubble-2' => 'icon-speech-bubble-2',
			'icon-speech-bubble-3' => 'icon-speech-bubble-3',
			'icon-speech-bubble-4' => 'icon-speech-bubble-4',
			'icon-speech-bubble-5' => 'icon-speech-bubble-5',
			'icon-speech-bubble-6' => 'icon-speech-bubble-6',
			'icon-speech-bubble-7' => 'icon-speech-bubble-7',
			'icon-speech-bubble-8' => 'icon-speech-bubble-8',
			'icon-speech-bubble-9' => 'icon-speech-bubble-9',
			'icon-speech-bubble-10' => 'icon-speech-bubble-10',
			'icon-speech-bubble-11' => 'icon-speech-bubble-11',
			'icon-speech-bubble-12' => 'icon-speech-bubble-12',
			'icon-speech-bubble-13' => 'icon-speech-bubble-13',
			'icon-speech-bubble-14' => 'icon-speech-bubble-14',
			'icon-speech-bubble-15' => 'icon-speech-bubble-15',
			'icon-speech-bubble-16' => 'icon-speech-bubble-16',
			'icon-speech-bubble-17' => 'icon-speech-bubble-17',
			'icon-speech-bubble-18' => 'icon-speech-bubble-18',
			'icon-speech-bubble-19' => 'icon-speech-bubble-19',
			'icon-speech-bubble-20' => 'icon-speech-bubble-20',
			'icon-speech-bubble-21' => 'icon-speech-bubble-21',
			'icon-speech-bubble-22' => 'icon-speech-bubble-22',
			'icon-speech-bubble-23' => 'icon-speech-bubble-23',
			'icon-speech-bubble-24' => 'icon-speech-bubble-24',
			'icon-speech-bubble-25' => 'icon-speech-bubble-25',
			'icon-speech-bubble-26' => 'icon-speech-bubble-26',
			'icon-pie-chart-2' => 'icon-pie-chart-2',
			'icon-clock' => 'icon-clock',
		);
		return $fontello_icon;
	}
}
/** 
 *  Font-awesome icon list
 */
if( !function_exists( "fixit_function_font_awesome_icon_list" ) ) {

	function fixit_function_font_awesome_icon_list(){

		//  Font awesome icon list
		$fontawesome_icon = array(
			'fa-adjust' => 'Adjust',
			'fa-adn' => 'Adn',
			'fa-align-center' => 'Align Center',
			'fa-align-justify' => 'Align Justify',
			'fa-align-left' => 'Align Left',
			'fa-align-right' => 'Align Right',
			'fa-ambulance' => 'Ambulance',
			'fa-anchor' => 'Anchor',
			'fa-android' => 'Android',
			'fa-angle-double-down' => 'Angle Double Down',
			'fa-angle-double-left' => 'Angle Double Left',
			'fa-angle-double-right' => 'Angle Double Right',
			'fa-angle-double-up' => 'Angle Double Up',
			'fa-angle-down' => 'Angle Down',
			'fa-angle-left' => 'Angle Left',
			'fa-angle-right' => 'Angle Right',
			'fa-angle-up' => 'Angle Up',
			'fa-apple' => 'Apple',
			'fa-archive' => 'Archive',
			'fa-arrow-circle-down' => 'Arrow Circle Down',
			'fa-arrow-circle-left' => 'Arrow Circle Left',
			'fa-arrow-circle-o-down' => 'Arrow Circle O Down',
			'fa-arrow-circle-o-left' => 'Arrow Circle O Left',
			'fa-arrow-circle-o-right' => 'Arrow Circle O Right',
			'fa-arrow-circle-o-up' => 'Arrow Circle O Up',
			'fa-arrow-circle-right' => 'Arrow Circle Right',
			'fa-arrow-circle-up' => 'Arrow Circle Up',
			'fa-arrow-down' => 'Arrow Down',
			'fa-arrow-left' => 'Arrow Left',
			'fa-arrow-right' => 'Arrow Right',
			'fa-arrows' => 'Arrows',
			'fa-arrows-alt' => 'Arrows Alt',
			'fa-arrows-h' => 'Arrows H',
			'fa-arrows-v' => 'Arrows V',
			'fa-arrow-up' => 'Arrow Up',
			'fa-asterisk' => 'Asterisk',
			'fa-automobile' => 'Automobile',
			'fa-backward' => 'Backward',
			'fa-ban' => 'Ban',
			'fa-bank' => 'Bank',
			'fa-bar-chart-o' => 'Bar Chart O',
			'fa-barcode' => 'Barcode',
			'fa-bars' => 'Bars',
			'fa-bed' => 'Bed',
			'fa-bed' => 'Hotel',
			'fa-beer' => 'Beer',
			'fa-behance' => 'Behance',
			'fa-behance-square' => 'Behance Square',
			'fa-bell' => 'Bell',
			'fa-bell-o' => 'Bell O',
			'fa-bitbucket' => 'Bitbucket',
			'fa-bitbucket-square' => 'Bitbucket Square',
			'fa-bitcoin' => 'Bitcoin',
			'fa-bold' => 'Bold',
			'fa-bolt' => 'Bolt',
			'fa-bomb' => 'Bomb',
			'fa-book' => 'Book',
			'fa-bookmark' => 'Bookmark',
			'fa-bookmark-o' => 'Bookmark O',
			'fa-briefcase' => 'Briefcase',
			'fa-btc' => 'Btc',
			'fa-bug' => 'Bug',
			'fa-building' => 'Building',
			'fa-building-o' => 'Building O',
			'fa-bullhorn' => 'Bullhorn',
			'fa-bullseye' => 'Bullseye',
			'fa-buysellads' => 'Buysellads',
			'fa-cab' => 'Cab',
			'fa-calendar' => 'Calendar',
			'fa-calendar-o' => 'Calendar O',
			'fa-camera' => 'Camera',
			'fa-camera-retro' => 'Camera Retro',
			'fa-car' => 'Car',
			'fa-caret-down' => 'Caret Down',
			'fa-caret-left' => 'Caret Left',
			'fa-caret-right' => 'Caret Right',
			'fa-caret-square-o-down' => 'Caret Square O Down',
			'fa-caret-square-o-left' => 'Caret Square O Left',
			'fa-caret-square-o-right' => 'Caret Square O Right',
			'fa-caret-square-o-up' => 'Caret Square O Up',
			'fa-caret-up' => 'Caret Up',
			'fa-cart-arrow-down' => 'Cart Arrow Down',
			'fa-cart-plus' => 'Cart Plus',
			'fa-certificate' => 'Certificate',
			'fa-chain' => 'Chain',
			'fa-chain-broken' => 'Chain Broken',
			'fa-check' => 'Check',
			'fa-check-circle' => 'Check Circle',
			'fa-check-circle-o' => 'Check Circle O',
			'fa-check-square' => 'Check Square',
			'fa-check-square-o' => 'Check Square O',
			'fa-chevron-circle-down' => 'Chevron Circle Down',
			'fa-chevron-circle-left' => 'Chevron Circle Left',
			'fa-chevron-circle-right' => 'Chevron Circle Right',
			'fa-chevron-circle-up' => 'Chevron Circle Up',
			'fa-chevron-down' => 'Chevron Down',
			'fa-chevron-left' => 'Chevron Left',
			'fa-chevron-right' => 'Chevron Right',
			'fa-chevron-up' => 'Chevron Up',
			'fa-child' => 'Child',
			'fa-circle' => 'Circle',
			'fa-circle-o' => 'Circle O',
			'fa-circle-o-notch' => 'Circle O Notch',
			'fa-circle-thin' => 'Circle Thin',
			'fa-clipboard' => 'Clipboard',
			'fa-clock-o' => 'Clock O',
			'fa-cloud' => 'Cloud',
			'fa-cloud-download' => 'Cloud Download',
			'fa-cloud-upload' => 'Cloud Upload',
			'fa-cny' => 'Cny',
			'fa-code' => 'Code',
			'fa-code-fork' => 'Code Fork',
			'fa-codepen' => 'Codepen',
			'fa-coffee' => 'Coffee',
			'fa-cog' => 'Cog',
			'fa-cogs' => 'Cogs',
			'fa-columns' => 'Columns',
			'fa-comment' => 'Comment',
			'fa-comment-o' => 'Comment O',
			'fa-comments' => 'Comments',
			'fa-comments-o' => 'Comments O',
			'fa-compass' => 'Compass',
			'fa-compress' => 'Compress',
			'fa-connectdevelop' => 'Connectdevelop',
			'fa-copy' => 'Copy',
			'fa-credit-card' => 'Credit Card',
			'fa-crop' => 'Crop',
			'fa-crosshairs' => 'Crosshairs',
			'fa-css3' => 'Css3',
			'fa-cube' => 'Cube',
			'fa-cubes' => 'Cubes',
			'fa-cut' => 'Cut',
			'fa-cutlery' => 'Cutlery',
			'fa-dashboard' => 'Dashboard',
			'fa-dashcube' => 'Dashcube',
			'fa-database' => 'Database',
			'fa-dedent' => 'Dedent',
			'fa-delicious' => 'Delicious',
			'fa-desktop' => 'Desktop',
			'fa-deviantart' => 'Deviantart',
			'fa-diamond' => 'Diamond',
			'fa-digg' => 'Digg',
			'fa-dollar' => 'Dollar',
			'fa-dot-circle-o' => 'Dot Circle O',
			'fa-download' => 'Download',
			'fa-dribbble' => 'Dribbble',
			'fa-dropbox' => 'Dropbox',
			'fa-drupal' => 'Drupal',
			'fa-edit' => 'Edit',
			'fa-eject' => 'Eject',
			'fa-ellipsis-h' => 'Ellipsis H',
			'fa-ellipsis-v' => 'Ellipsis V',
			'fa-empire' => 'Empire',
			'fa-envelope' => 'Envelope',
			'fa-envelope-o' => 'Envelope O',
			'fa-envelope-square' => 'Envelope Square',
			'fa-eraser' => 'Eraser',
			'fa-eur' => 'Eur',
			'fa-euro' => 'Euro',
			'fa-exchange' => 'Exchange',
			'fa-exclamation' => 'Exclamation',
			'fa-exclamation-circle' => 'Exclamation Circle',
			'fa-exclamation-triangle' => 'Exclamation Triangle',
			'fa-expand' => 'Expand',
			'fa-external-link' => 'External Link',
			'fa-external-link-square' => 'External Link Square',
			'fa-eye' => 'Eye',
			'fa-eye-slash' => 'Eye Slash',
			'fa-facebook' => 'Facebook',
			'fa-facebook-official' => 'Facebook Official',
			'fa-facebook-square' => 'Facebook Square',
			'fa-fast-backward' => 'Fast Backward',
			'fa-fast-forward' => 'Fast Forward',
			'fa-fax' => 'Fax',
			'fa-female' => 'Female',
			'fa-fighter-jet' => 'Fighter Jet',
			'fa-file' => 'File',
			'fa-file-archive-o' => 'File Archive O',
			'fa-file-audio-o' => 'File Audio O',
			'fa-file-code-o' => 'File Code O',
			'fa-file-excel-o' => 'File Excel O',
			'fa-file-image-o' => 'File Image O',
			'fa-file-movie-o' => 'File Movie O',
			'fa-file-o' => 'File O',
			'fa-file-pdf-o' => 'File Pdf O',
			'fa-file-photo-o' => 'File Photo O',
			'fa-file-picture-o' => 'File Picture O',
			'fa-file-powerpoint-o' => 'File Powerpoint O',
			'fa-files-o' => 'Files O',
			'fa-file-sound-o' => 'File Sound O',
			'fa-file-text' => 'File Text',
			'fa-file-text-o' => 'File Text O',
			'fa-file-video-o' => 'File Video O',
			'fa-file-word-o' => 'File Word O',
			'fa-file-zip-o' => 'File Zip O',
			'fa-film' => 'Film',
			'fa-filter' => 'Filter',
			'fa-fire' => 'Fire',
			'fa-fire-extinguisher' => 'Fire Extinguisher',
			'fa-flag' => 'Flag',
			'fa-flag-checkered' => 'Flag Checkered',
			'fa-flag-o' => 'Flag O',
			'fa-flash' => 'Flash',
			'fa-flask' => 'Flask',
			'fa-flickr' => 'Flickr',
			'fa-floppy-o' => 'Floppy O',
			'fa-folder' => 'Folder',
			'fa-folder-o' => 'Folder O',
			'fa-folder-open' => 'Folder Open',
			'fa-folder-open-o' => 'Folder Open O',
			'fa-font' => 'Font',
			'fa-forumbee' => 'Forumbee',
			'fa-forward' => 'Forward',
			'fa-foursquare' => 'Foursquare',
			'fa-frown-o' => 'Frown O',
			'fa-gamepad' => 'Gamepad',
			'fa-gavel' => 'Gavel',
			'fa-gbp' => 'Gbp',
			'fa-ge' => 'Ge',
			'fa-gear' => 'Gear',
			'fa-gears' => 'Gears',
			'fa-gift' => 'Gift',
			'fa-git' => 'Git',
			'fa-github' => 'Github',
			'fa-github-alt' => 'Github Alt',
			'fa-github-square' => 'Github Square',
			'fa-git-square' => 'Git Square',
			'fa-gittip' => 'Gittip',
			'fa-glass' => 'Glass',
			'fa-globe' => 'Globe',
			'fa-google' => 'Google',
			'fa-google-plus' => 'Google Plus',
			'fa-google-plus-square' => 'Google Plus Square',
			'fa-graduation-cap' => 'Graduation Cap',
			'fa-group' => 'Group',
			'fa-hacker-news' => 'Hacker News',
			'fa-hand-o-down' => 'Hand O Down',
			'fa-hand-o-left' => 'Hand O Left',
			'fa-hand-o-right' => 'Hand O Right',
			'fa-hand-o-up' => 'Hand O Up',
			'fa-hdd-o' => 'Hdd O',
			'fa-header' => 'Header',
			'fa-headphones' => 'Headphones',
			'fa-heart' => 'Heart',
			'fa-heartbeat' => 'Heartbeat',
			'fa-heart-o' => 'Heart O',
			'fa-history' => 'History',
			'fa-home' => 'Home',
			'fa-hospital-o' => 'Hospital O',
			'fa-h-square' => 'H Square',
			'fa-html5' => 'Html5',
			'fa-image' => 'Image',
			'fa-inbox' => 'Inbox',
			'fa-indent' => 'Indent',
			'fa-info' => 'Info',
			'fa-info-circle' => 'Info Circle',
			'fa-inr' => 'Inr',
			'fa-instagram' => 'Instagram',
			'fa-institution' => 'Institution',
			'fa-italic' => 'Italic',
			'fa-joomla' => 'Joomla',
			'fa-jpy' => 'Jpy',
			'fa-jsfiddle' => 'Jsfiddle',
			'fa-key' => 'Key',
			'fa-keyboard-o' => 'Keyboard O',
			'fa-krw' => 'Krw',
			'fa-language' => 'Language',
			'fa-laptop' => 'Laptop',
			'fa-leaf' => 'Leaf',
			'fa-leanpub' => 'Leanpub',
			'fa-legal' => 'Legal',
			'fa-lemon-o' => 'Lemon O',
			'fa-level-down' => 'Level Down',
			'fa-level-up' => 'Level Up',
			'fa-life-bouy' => 'Life Bouy',
			'fa-life-ring' => 'Life Ring',
			'fa-life-saver' => 'Life Saver',
			'fa-lightbulb-o' => 'Lightbulb O',
			'fa-link' => 'Link',
			'fa-linkedin' => 'Linkedin',
			'fa-linkedin-square' => 'Linkedin Square',
			'fa-linux' => 'Linux',
			'fa-list' => 'List',
			'fa-list-alt' => 'List Alt',
			'fa-list-ol' => 'List Ol',
			'fa-list-ul' => 'List Ul',
			'fa-location-arrow' => 'Location Arrow',
			'fa-lock' => 'Lock',
			'fa-long-arrow-down' => 'Long Arrow Down',
			'fa-long-arrow-left' => 'Long Arrow Left',
			'fa-long-arrow-right' => 'Long Arrow Right',
			'fa-long-arrow-up' => 'Long Arrow Up',
			'fa-magic' => 'Magic',
			'fa-magnet' => 'Magnet',
			'fa-mail-forward' => 'Mail Forward',
			'fa-mail-reply' => 'Mail Reply',
			'fa-mail-reply-all' => 'Mail Reply All',
			'fa-male' => 'Male',
			'fa-map-marker' => 'Map Marker',
			'fa-mars' => 'Mars',
			'fa-mars-double' => 'Mars Double',
			'fa-mars-stroke' => 'Mars Stroke',
			'fa-mars-stroke-h' => 'Mars Stroke H',
			'fa-mars-stroke-v' => 'Mars Stroke V',
			'fa-maxcdn' => 'Maxcdn',
			'fa-medium' => 'Medium',
			'fa-medkit' => 'Medkit',
			'fa-meh-o' => 'Meh O',
			'fa-mercury' => 'Mercury',
			'fa-microphone' => 'Microphone',
			'fa-microphone-slash' => 'Microphone Slash',
			'fa-minus' => 'Minus',
			'fa-minus-circle' => 'Minus Circle',
			'fa-minus-square' => 'Minus Square',
			'fa-minus-square-o' => 'Minus Square O',
			'fa-mobile' => 'Mobile',
			'fa-mobile-phone' => 'Mobile Phone',
			'fa-money' => 'Money',
			'fa-moon-o' => 'Moon O',
			'fa-mortar-board' => 'Mortar Board',
			'fa-motorcycle' => 'Motorcycle',
			'fa-music' => 'Music',
			'fa-navicon' => 'Navicon',
			'fa-neuter' => 'Fa Neuter',
			'fa-openid' => 'Openid',
			'fa-outdent' => 'Outdent',
			'fa-pagelines' => 'Pagelines',
			'fa-paperclip' => 'Paperclip',
			'fa-paper-plane' => 'Paper Plane',
			'fa-paper-plane-o' => 'Paper Plane O',
			'fa-paragraph' => 'Paragraph',
			'fa-paste' => 'Paste',
			'fa-pause' => 'Pause',
			'fa-paw' => 'Paw',
			'fa-pencil' => 'Pencil',
			'fa-pencil-square' => 'Pencil Square',
			'fa-pencil-square-o' => 'Pencil Square O',
			'fa-phone' => 'Phone',
			'fa-phone-square' => 'Phone Square',
			'fa-photo' => 'Photo',
			'fa-picture-o' => 'Picture O',
			'fa-pied-piper' => 'Pied Piper',
			'fa-pied-piper-alt' => 'Pied Piper Alt',
			'fa-pinterest' => 'Pinterest',
			'fa-pinterest-p' => 'Pinterest P',
			'fa-pinterest-square' => 'Pinterest Square',
			'fa-plane' => 'Plane',
			'fa-play' => 'Play',
			'fa-play-circle' => 'Play Circle',
			'fa-play-circle-o' => 'Play Circle O',
			'fa-plus' => 'Plus',
			'fa-plus-circle' => 'Plus Circle',
			'fa-plus-square' => 'Plus Square',
			'fa-plus-square-o' => 'Plus Square O',
			'fa-power-off' => 'Power Off',
			'fa-print' => 'Print',
			'fa-puzzle-piece' => 'Puzzle Piece',
			'fa-qq' => 'Qq',
			'fa-qrcode' => 'Qrcode',
			'fa-question' => 'Question',
			'fa-question-circle' => 'Question Circle',
			'fa-quote-left' => 'Quote Left',
			'fa-quote-right' => 'Quote Right',
			'fa-ra' => 'Ra',
			'fa-random' => 'Random',
			'fa-rebel' => 'Rebel',
			'fa-recycle' => 'Recycle',
			'fa-reddit' => 'Reddit',
			'fa-reddit-square' => 'Reddit Square',
			'fa-refresh' => 'Refresh',
			'fa-renren' => 'Renren',
			'fa-reorder' => 'Reorder',
			'fa-repeat' => 'Repeat',
			'fa-reply' => 'Reply',
			'fa-reply-all' => 'Reply All',
			'fa-retweet' => 'Retweet',
			'fa-rmb' => 'Rmb',
			'fa-road' => 'Road',
			'fa-rocket' => 'Rocket',
			'fa-rotate-left' => 'Rotate Left',
			'fa-rotate-right' => 'Rotate Right',
			'fa-rouble' => 'Rouble',
			'fa-rss' => 'Rss',
			'fa-rss-square' => 'Rss Square',
			'fa-rub' => 'Rub',
			'fa-ruble' => 'Ruble',
			'fa-rupee' => 'Rupee',
			'fa-save' => 'Save',
			'fa-scissors' => 'Scissors',
			'fa-search' => 'Search',
			'fa-search-minus' => 'Search Minus',
			'fa-search-plus' => 'Search Plus',
			'fa-sellsy' => 'Sellsy',
			'fa-send' => 'Send',
			'fa-send-o' => 'Send O',
			'fa-server' => 'Fa Server',
			'fa-share' => 'Share',
			'fa-share-alt' => 'Share Alt',
			'fa-share-alt-square' => 'Share Alt Square',
			'fa-share-square' => 'Share Square',
			'fa-share-square-o' => 'Share Square O',
			'fa-shield' => 'Shield',
			'fa-ship' => 'Ship',
			'fa-shirtsinbulk' => 'Shirtsinbulk',
			'fa-shopping-cart' => 'Shopping Cart',
			'fa-signal' => 'Signal',
			'fa-sign-in' => 'Sign In',
			'fa-sign-out' => 'Sign Out',
			'fa-simplybuilt' => 'Simplybuilt',
			'fa-sitemap' => 'Sitemap',
			'fa-skyatlas' => 'Skyatlas',
			'fa-skype' => 'Skype',
			'fa-slack' => 'Slack',
			'fa-sliders' => 'Sliders',
			'fa-smile-o' => 'Smile O',
			'fa-sort' => 'Sort',
			'fa-sort-alpha-asc' => 'Sort Alpha Asc',
			'fa-sort-alpha-desc' => 'Sort Alpha Desc',
			'fa-sort-amount-asc' => 'Sort Amount Asc',
			'fa-sort-amount-desc' => 'Sort Amount Desc',
			'fa-sort-asc' => 'Sort Asc',
			'fa-sort-desc' => 'Sort Desc',
			'fa-sort-down' => 'Sort Down',
			'fa-sort-numeric-asc' => 'Sort Numeric Asc',
			'fa-sort-numeric-desc' => 'Sort Numeric Desc',
			'fa-sort-up' => 'Sort Up',
			'fa-soundcloud' => 'Soundcloud',
			'fa-space-shuttle' => 'Space Shuttle',
			'fa-spinner' => 'Spinner',
			'fa-spoon' => 'Spoon',
			'fa-spotify' => 'Spotify',
			'fa-square' => 'Square',
			'fa-square-o' => 'Square O',
			'fa-stack-exchange' => 'Stack Exchange',
			'fa-stack-overflow' => 'Stack Overflow',
			'fa-star' => 'Star',
			'fa-star-half' => 'Star Half',
			'fa-star-half-empty' => 'Star Half Empty',
			'fa-star-half-full' => 'Star Half Full',
			'fa-star-half-o' => 'Star Half O',
			'fa-star-o' => 'Star O',
			'fa-steam' => 'Steam',
			'fa-steam-square' => 'Steam Square',
			'fa-step-backward' => 'Step Backward',
			'fa-step-forward' => 'Step Forward',
			'fa-stethoscope' => 'Stethoscope',
			'fa-stop' => 'Stop',
			'fa-street-view' => 'Street View',
			'fa-strikethrough' => 'Strikethrough',
			'fa-stumbleupon' => 'Stumbleupon',
			'fa-stumbleupon-circle' => 'Stumbleupon Circle',
			'fa-subscript' => 'Subscript',
			'fa-subway' => 'Fa Subway',
			'fa-suitcase' => 'Suitcase',
			'fa-sun-o' => 'Sun O',
			'fa-superscript' => 'Superscript',
			'fa-support' => 'Support',
			'fa-table' => 'Table',
			'fa-tablet' => 'Tablet',
			'fa-tachometer' => 'Tachometer',
			'fa-tag' => 'Tag',
			'fa-tags' => 'Tags',
			'fa-tasks' => 'Tasks',
			'fa-taxi' => 'Taxi',
			'fa-tencent-weibo' => 'Tencent Weibo',
			'fa-terminal' => 'Terminal',
			'fa-text-height' => 'Text Height',
			'fa-text-width' => 'Text Width',
			'fa-th' => 'Th',
			'fa-th-large' => 'Th Large',
			'fa-th-list' => 'Th List',
			'fa-thumbs-down' => 'Thumbs Down',
			'fa-thumbs-o-down' => 'Thumbs O Down',
			'fa-thumbs-o-up' => 'Thumbs O Up',
			'fa-thumbs-up' => 'Thumbs Up',
			'fa-thumb-tack' => 'Thumb Tack',
			'fa-ticket' => 'Ticket',
			'fa-times' => 'Times',
			'fa-times-circle' => 'Times Circle',
			'fa-times-circle-o' => 'Times Circle O',
			'fa-tint' => 'Tint',
			'fa-toggle-down' => 'Toggle Down',
			'fa-toggle-left' => 'Toggle Left',
			'fa-toggle-right' => 'Toggle Right',
			'fa-toggle-up' => 'Toggle Up',
			'fa-train' => 'Train',
			'fa-transgender' => 'Transgender',
			'fa-transgender-alt' => 'Transgender Alt',
			'fa-trash-o' => 'Trash O',
			'fa-tree' => 'Tree',
			'fa-trello' => 'Trello',
			'fa-trophy' => 'Trophy',
			'fa-truck' => 'Truck',
			'fa-try' => 'Try',
			'fa-tumblr' => 'Tumblr',
			'fa-tumblr-square' => 'Tumblr Square',
			'fa-turkish-lira' => 'Turkish Lira',
			'fa-twitter' => 'Twitter',
			'fa-twitter-square' => 'Twitter Square',
			'fa-umbrella' => 'Umbrella',
			'fa-underline' => 'Underline',
			'fa-undo' => 'Undo',
			'fa-university' => 'University',
			'fa-unlink' => 'Unlink',
			'fa-unlock' => 'Unlock',
			'fa-unlock-alt' => 'Unlock Alt',
			'fa-unsorted' => 'Unsorted',
			'fa-upload' => 'Upload',
			'fa-usd' => 'Usd',
			'fa-user' => 'User',
			'fa-user-md' => 'User Md',
			'fa-user-plus' => 'User Plus',
			'fa-users' => 'Users',
			'fa-user-secret' => 'User Secret',
			'fa-user-times' => 'User Times',
			'fa-venus' => 'Venus',
			'fa-venus-double' => 'Venus Double',
			'fa-venus-mars' => 'Venus Mars',
			'fa-viacoin' => 'Viacoin',
			'fa-video-camera' => 'Video Camera',
			'fa-vimeo-square' => 'Vimeo Square',
			'fa-vine' => 'Vine',
			'fa-vk' => 'Vk',
			'fa-volume-down' => 'Volume Down',
			'fa-volume-off' => 'Volume Off',
			'fa-volume-up' => 'Volume Up',
			'fa-warning' => 'Warning',
			'fa-wechat' => 'Wechat',
			'fa-weibo' => 'Weibo',
			'fa-weixin' => 'Weixin',
			'fa-whatsapp' => 'Whatsapp',
			'fa-wheelchair' => 'Wheelchair',
			'fa-windows' => 'Windows',
			'fa-won' => 'Won',
			'fa-wordpress' => 'Wordpress',
			'fa-wrench' => 'Wrench',
			'fa-xing' => 'Xing',
			'fa-xing-square' => 'Xing Square',
			'fa-yahoo' => 'Yahoo',
			'fa-yen' => 'Yen',
			'fa-youtube' => 'Youtube',
			'fa-youtube-play' => 'Youtube Play',
			'fa-youtube-square' => 'Youtube Square',
		);
		return $fontawesome_icon;
	}
}
/**
 *  wp_kses filter allowed Array
 */
if( !function_exists( 'fixit_function_strip_tags' ) ){

    function fixit_function_strip_tags($buffer) {

        $default_attribs = array(
            'id' => array(),
            'class' => array(),
            'title' => array(),
            'style' => array(),
            'data' => array(),
            'data-mce-id' => array(),
            'data-mce-style' => array(),
            'data-mce-bogus' => array(),
        );

		$insert_key = array( 
        	 'p', 'u', 'i', 'q', 'b', 'ul', 'ol', 'li', 'br', 'hr', 'h1', 'h2', 'h3', 'h4', 'h5', 'h6',
        	 'div', 'span','del', 'strike', 'em', 'code',
        );

		$allowed_tags = array_merge( 

			array( 'a' => array_merge( $default_attribs, array( 'href' => array(), 'target' => array('_blank', '_top'), ) ) ), 
			array_fill_keys( $insert_key, $default_attribs ) 
		);

        if ( function_exists( 'wp_kses') ){

            $buffer = wp_kses( html_entity_decode( $buffer ), $allowed_tags );
        }else {

            $tags = array();

            foreach ( array_keys( $allowed_tags ) as $tag ) {
              $tags[] = "<$tag>";
            } $buffer = strip_tags( html_entity_decode( $buffer ), join('', $tags) );
        }

        $buffer = trim($buffer);

        return $buffer;
    }
}

?>