<?php  

# -*- coding: utf-8 -*-
# Widget Name: Footer Location

add_action( 'widgets_init', array ( 'Useful_link_widget', 'register' ) );

class Useful_link_widget extends WP_Widget {

    /**
     * Constructor.
     */
    public function __construct(){
        parent::__construct( strtolower( __CLASS__ ), esc_html('Fixit -- Footer Useful Links') );
    }

    /**
     * Echo the settings update form
     *
     * @param array $instance Current settings
     */
    public function form( $instance ){

        $title = isset ( $instance['title'] ) ? $instance['title'] : esc_html__( 'Enter Title', 'ac-repair' );
        $title = esc_attr( $title );
        printf(
            '<p><label for="%1$s">%2$s</label><br /><input type="text" name="%3$s" id="%1$s" value="%4$s" class="widefat"></p>',
            $this->get_field_id( 'title' ),
            esc_html__('Title','ac-repair'),
            $this->get_field_name( 'title' ),
            esc_attr( $title )
        );

        $nav_menu = isset( $instance['nav_menu'] ) ? $instance['nav_menu'] : '';
        $nav_menu = esc_html( $nav_menu );
        $option_key = '';
        foreach ( $GLOBALS['fixit_wordpress_menus'] as $key => $value) {
            $option_key .= '<option value="'.esc_html($key).'" '. selected( $nav_menu == $key, true, false ) .' >'.esc_html($value).'</option>';
        }     

        printf(
            '<p><label for="%1$s">%2$s</label><br /><select name="%3$s" id="%1$s" class="widefat"> %4$s </select></p>',
            $this->get_field_id( 'nav_menu' ),
            esc_html__('Choose your Menu in Footer Section','ac-repair'),
            $this->get_field_name( 'nav_menu' ),
            $option_key
        );
    }

    /**
     * Renders the output.
     *
     * @see WP_Widget::widget()
     */
    public function widget( $args, $instance ){   // Widget output
       
        extract($args);

        $title    = ($instance['title']) ? $instance['title'] : esc_html__('Fixit -- Footer Useful Link', 'ac-repair');
        $nav_menu = ($instance['nav_menu']) ? $instance['nav_menu'] : esc_html__('Please Select Menu', 'ac-repair');

        print $before_widget
        . '<div class="footer-block">'
        .  $before_title
        .  esc_html( $title )
        .  $after_title;

		if ( has_nav_menu( $nav_menu ) ) 
            wp_nav_menu( array( 'theme_location' => $nav_menu, 'fallback_cb' => false, 'items_wrap'  => '<ul class="listnone bullet bullet-arrow-right">%3$s</ul>' ) ); 

        print '</div>'
        .  $after_widget ;
    }

    /**
     * Prepares the content. Not.
     *
     * @param  array $new_instance New content
     * @param  array $old_instance Old content
     * @return array New content
     */
    public function update( $new_instance, $old_instance ){

        $new_instance_array = array( 'title', 'nav_menu' );
        foreach( $new_instance_array as $val )
            $old_instance[ $val ] = $new_instance[ $val ];
        return $old_instance;
    }

    /**
     * Tell WP we want to use this widget.
     *
     * @wp-hook widgets_init
     * @return void
     */
    public static function register(){
        register_widget( __CLASS__ );
    }
}