<?php  

# -*- coding: utf-8 -*-
# Widget Name: Sidebar information widget

add_action( 'widgets_init', array ( 'Sidebar_Cta_Section', 'register' ) );

class Sidebar_Cta_Section extends WP_Widget {

    /**
     * Constructor.
     */
    public function __construct(){
        parent::__construct( strtolower( __CLASS__ ), esc_html('Fixit -- Sidebar CTA') );
    }

    /**
     * Echo the settings update form
     *
     * @param array $instance Current settings
     */
    public function form( $instance ){

        $cta_img = isset( $instance['cta_img'] ) ? $instance['cta_img'] : 'https://placeholdit.imgix.net/~text?txtsize=33&txt=358%C3%97282&w=358&h=282';
        $cta_img = esc_html( $cta_img );
        printf(
            '<p><label for="%1$s">%2$s</label><br /><input type="text" name="%3$s" id="%1$s" value="%4$s" class="widefat"></p>',
            $this->get_field_id( 'cta_img' ),
            esc_html__( 'Image Url Here', 'ac-repair' ),
            $this->get_field_name( 'cta_img' ),
            esc_attr( $cta_img )
        );       

        $cta_content = isset( $instance['cta_content'] ) ? $instance['cta_content'] : '<div class="cta-info"><h1 class="cta-title">Get started now!</h1><p>Schedule your next appointment with one of our technicians today.</p><a href="#" class="btn btn-default">Schedule  appointment </a> </div>';
        $cta_content = esc_html( $cta_content );
        printf(
            '<p><label for="%1$s">%2$s</label><br /><textarea name="%3$s" id="%1$s" rows="7" class="widefat">%4$s</textarea>',
            $this->get_field_id( 'cta_content' ),
            esc_html__( 'Enter Cta Content', 'ac-repair' ),
            $this->get_field_name( 'cta_content' ),
            esc_attr( $cta_content )
        );      
    }

    /**
     * Renders the output.
     *
     * @see WP_Widget::widget()
     */
    public function widget( $args, $instance ){   // Widget output
       
        extract($args);

        $cta_img = isset( $instance['cta_img'] ) ? $instance['cta_img'] : esc_url('https://placeholdit.imgix.net/~text?txtsize=33&txt=358%C3%97282&w=358&h=282');
        $cta_img = !empty( $cta_img ) ? esc_url( $cta_img ) : esc_url('https://placeholdit.imgix.net/~text?txtsize=33&txt=358%C3%97282&w=358&h=282');

        $cta_content = isset( $instance['cta_content'] ) ? $instance['cta_content'] : '';

        printf('<div class="col-md-12"><div class="small-cta-block"> <div class="cta-img"> <img src="%1$s" alt="ac company" class="img-responsive"> </div> %2$s </div></div>', $cta_img, $cta_content );
    }

    /**
     * Prepares the content. Not.
     *
     * @param  array $new_instance New content
     * @param  array $old_instance Old content
     * @return array New content
     */
    public function update( $new_instance, $old_instance ){
        
        $new_instance_array = array( 'cta_img', 'cta_heading', 'cta_content', 'cta_btn' );
        foreach( $new_instance_array as $val )
            $old_instance[ $val ] = $new_instance[ $val ];
        return $old_instance;
    }

    /**
     * Tell WP we want to use this widget.
     *
     * @wp-hook widgets_init
     * @return void
     */
    public static function register(){
        register_widget( __CLASS__ );
    }
}