<?php  

# -*- coding: utf-8 -*-
# Widget Name: Footer Location

add_action( 'widgets_init', array ( 'Sidebar_Newslatter_widget', 'register' ) );

class Sidebar_Newslatter_widget extends WP_Widget {

    /**
     * Constructor.
     */
    public function __construct(){
        parent::__construct( strtolower( __CLASS__ ), esc_html('Fixit -- Sidebar Form') );
    }

    /**
     * Echo the settings update form
     *
     * @param array $instance Current settings
     */
    public function form( $instance ){  // Output admin widget options form

        $title = isset ( $instance['title'] ) ? $instance['title'] : esc_html__('Get In Touch With Us', 'ac-repair');
        $title = esc_attr( $title );

        printf(
            '<p><label for="%1$s">%2$s</label><br /><input type="text" name="%3$s" id="%1$s" value="%4$s" class="widefat"></p>',
            $this->get_field_id( 'title' ),
            esc_html__( 'Title', 'ac-repair' ),
            $this->get_field_name( 'title' ),
            esc_attr( $title )
        );

        $description = isset ( $instance['description'] ) ? $instance['description'] : esc_html__('If you have any further questions or queries please do not hesitate to get in touch.', 'ac-repair');
        $description = esc_attr( $description );
        printf(
            '<p><label for="%1$s">%2$s</label><br /><textarea name="%3$s" id="%1$s" rows="5" class="widefat">%4$s</textarea></p>',
            $this->get_field_id( 'description' ),
            esc_html__( 'Description', 'ac-repair' ),
            $this->get_field_name( 'description' ),
            esc_attr( $description )
        );

        $newslatter_sh = isset ( $instance['newslatter_sh'] ) ? $instance['newslatter_sh'] : '';
        $newslatter_sh = esc_attr( $newslatter_sh );

        printf(
            '<p><label for="%1$s">%2$s</label><br />
            <input type="text" name="%3$s" id="%1$s" value="%4$s" class="widefat"></p>',
            $this->get_field_id( 'newslatter_sh' ),
            esc_html__( 'Shortcode', 'ac-repair' ),
            $this->get_field_name( 'newslatter_sh' ),
            esc_attr( $newslatter_sh )
        );
    }

    /**
     * Renders the output.
     *
     * @see WP_Widget::widget()
     */
    public function widget( $args, $instance ){   // Widget output
        
        extract($args);

        $title   = isset( $instance['title'] ) ? $instance['title'] : esc_html__('Get In Touch With Us', 'ac-repair');
        $desc    = isset( $instance['description'] ) ? $instance['description'] : esc_html__('If you have any further questions or queries please do not hesitate to get in touch.', 'ac-repair');
        $news_sh = isset( $instance['newslatter_sh'] ) ? $instance['newslatter_sh'] : '';

        print $before_widget
        . '<div class="row" id="newslatter_sidebar_fix">'
        . '<div class="col-md-12">'
        . $before_title
        . esc_html( $title )
        . $after_title
        . fixit_function_strip_tags( '<p>'. $desc .'</p>' )
        . '</div>';

        if( shortcode_exists('mc4wp_form') )  print do_shortcode( $news_sh );

        print '</div>' . $after_widget ;
    }

    /**
     * Prepares the content. Not.
     *
     * @param  array $new_instance New content
     * @param  array $old_instance Old content
     * @return array New content
     */
    public function update( $new_instance, $old_instance ){
    
        $new_instance_array = array( 'title', 'description', 'newslatter_sh' );
        foreach( $new_instance_array as $val )
            $old_instance[ $val ] = $new_instance[ $val ];
        return $old_instance;
    }

    /**
     * Tell WP we want to use this widget.
     *
     * @wp-hook widgets_init
     * @return void
     */
    public static function register(){
        register_widget( __CLASS__ );
    }
}