<?php  

# -*- coding: utf-8 -*-
# Widget Name: Footer Location

add_action( 'widgets_init', array ( 'Recent_Post_Widget', 'register' ) );

class Recent_Post_Widget extends WP_Widget {

    /**
     * Constructor.
     */
    public function __construct(){
        parent::__construct( strtolower( __CLASS__ ), esc_html( 'Fixit -- Sidebar Recent Blog Post' ) );
    }

    /**
     * Echo the settings update form
     *
     * @param array $instance Current settings
     */
    public function form( $instance ){  // Output admin widget options form

        $title = isset ( $instance['title'] ) ? $instance['title'] : esc_html__( 'Recent Post' , 'ac-repair');
        $title = esc_attr( $title );
        printf(
            '<p><label for="%1$s">%2$s</label><br />
            <input type="text" name="%3$s" id="%1$s" value="%4$s" class="widefat"></p>',
            $this->get_field_id( 'title' ),
            esc_html__( 'Title', 'ac-repair' ),
            $this->get_field_name( 'title' ),
            esc_attr( $title )
        );

        $limit = isset ( $instance['limit'] ) ? $instance['limit'] : absint('3');
        $limit = esc_attr( $limit );
        printf(
            '<p><label for="%1$s">%2$s</label><br />
            <input type="text" name="%3$s" id="%1$s" value="%4$s" class="widefat"></p>',
            $this->get_field_id( 'limit' ),
            esc_html__( 'Limit', 'ac-repair' ),
            $this->get_field_name( 'limit' ),
            absint( $limit )
        );
    }

    /**
     * Renders the output.
     *
     * @see WP_Widget::widget()
     */
    public function widget( $args, $instance ){   // Widget output
        
        extract($args);

        $title = isset($instance['title']) ? $instance['title'] : esc_html__('Recent Post', 'ac-repair');
        $limit = isset($instance['limit']) ? $instance['limit'] : absint('3');

        print $before_widget
        .  $before_title
        .  esc_html($title)
        .  $after_title ;
    
    
        $sidebar_var = array( 'post_type' => 'post', 'post_status'=> 'publish', 'posts_per_page' => absint($limit), );      
        $blog_post_query = new WP_Query($sidebar_var);
      
        if($blog_post_query->have_posts()) :  
        

        while($blog_post_query->have_posts()) : $blog_post_query->the_post();         
       
            if ( has_post_thumbnail() ) : 

        $comments  = ( get_comments_number() == 1 ? (get_comments_number()) : (get_comments_number()) );

        $post_data = '';

        $post_data .= '<div class="meta meta-bg"><div class="meta-date">';
        $post_data .= '<div class="date">'.  get_the_time('d') . '</div>'.  get_the_time('F'). '</div>';
        $post_data .= '<div class="meta-comment"><a href="'. get_comments_link() .'">'. $comments .'<br><i class="fa  fa-comments"></i></a></div></div>';


              print '<div class="row recent-post-block">'; ?>

            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 col-xs-mb-20">
                <div class="recent-img">
                 <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'full' , array( 'class' => sanitize_html_class('img-responsive'), )); ?></a>
                 <?php print $post_data; unset( $post_data ); ?>
               </div>
            </div>

            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 recent-desc">
                <div class="recent-post-desc"><!-- recent post desc -->
                    <h3 class="recent-post-title"><a href="<?php the_permalink(); ?>" class="heading-title"><?php the_title(); ?></a></h3>
               </div>
            </div>
               
            <?php
            print "</div>"; 
            endif;     
            
        endwhile;
        endif;
        wp_reset_postdata();
        print $after_widget;
    }

    /**
     * Prepares the content. Not.
     *
     * @param  array $new_instance New content
     * @param  array $old_instance Old content
     * @return array New content
     */
    public function update( $new_instance, $old_instance ){

        $new_instance_array = array( 'title', 'limit' );
        foreach( $new_instance_array as $val )
            $old_instance[ $val ] = $new_instance[ $val ];
        return $old_instance;        
    }

    /**
     * Tell WP we want to use this widget.
     *
     * @wp-hook widgets_init
     * @return void
     */
    public static function register(){
        register_widget( __CLASS__ );
    }
}