<?php  

# -*- coding: utf-8 -*-
# Widget Name: Sidebar information widget

add_action( 'widgets_init', array ( 'Service_Sidebar_Widget', 'register' ) );

class Service_Sidebar_Widget extends WP_Widget {

    /**
     * Constructor.
     */
    public function __construct(){
        parent::__construct( strtolower( __CLASS__ ), esc_html('Fixit -- Sidebar Services') );
    }

    /**
     * Echo the settings update form
     *
     * @param array $instance Current settings
     */
    public function form( $instance ) 
        {
            if( $instance ) 
                $select = $instance['select'];
            else
                 $select ='';

            $get_page = get_pages();
            if( $get_page )
            {
                printf(
                    '<p>Please select your page with ctrl or command key press.</p><select multiple="multiple" name="%s[]" id="%s" style="margin-bottom: 20px;" class="widefat" size="10">',
                    $this->get_field_name('select'),
                    $this->get_field_id('select')
                );
                foreach( $get_page as $post )
                {
                    printf(
                        '<option value="%s" class="hot-topic" %s style="margin-bottom:3px;">%s</option>',
                        $post->ID,
                        in_array( $post->ID, $select) ? 'selected="selected"' : '',
                        $post->post_title
                    );
                }
                echo '</select>';
            }
            else
                echo 'No posts found :(';
        }

    /**
     * Renders the output.
     *
     * @see WP_Widget::widget()
     */
    public function widget( $args, $instance )
    {
        global $wp_query;
         
        print $args['before_widget'];
        print !empty( $args['after_title'] ) ? $args['after_title'] : '';

        if( $instance['select'] != '' and ! is_array( $instance['select'] ) ){  $instance['select'] = array( $instance['select'] ); }

        if( is_array( $instance['select'] ) ) { 

            print '<div class="side-nav"><ul class="nav nav-pills nav-stacked">';
            foreach( $instance['select'] as $key => $value ){

                if( $wp_query->get_queried_object_id() === (int) absint($value) ){  
                        $service_class = 'class="active"';
                }else{  $service_class = ''; }

                printf( '<li %1$s"><a href="%2$s" title="%3$s">%3$s</a></li>', $service_class, get_page_link($value), get_the_title($value) );

            } print '</ul></div>';
        }
        
        print $args['after_widget'];
    }    

    /**
     * Prepares the content. Not.
     *
     * @param  array $new_instance New content
     * @param  array $old_instance Old content
     * @return array New content
     */
    public function update( $new_instance, $old_instance ) 
    {
        $instance = $old_instance;
        $instance['select'] = esc_sql( $new_instance['select'] );
        return $instance;
    }       

    /**
     * Tell WP we want to use this widget.
     *
     * @wp-hook widgets_init
     * @return void
     */
    public static function register(){
        register_widget( __CLASS__ );
    }
}