<?php
/**
 *  Page Banner Template.
 */

global $wp_query, $post;

if( ! is_front_page() && ! is_page_template('template/front-page.php') ) :

	$header_img_url = $default_header_img = '';

	if(mh_get_option( Fixit_Factory::fixit_prefix() . 'header_banner') != '' ) :
		$default_header_img = esc_url( mh_get_option( Fixit_Factory::fixit_prefix() . 'header_banner') );
	endif;

	if( is_page() || is_singular() ) {

		$header_img_url_first = get_post_meta( $post->ID, 'header_img', true );
		if( $header_img_url_first != '' ){
			$header_img_url = get_post_meta( $post->ID, 'header_img', true );
		}else {
			$header_img_url = $default_header_img;
		}
	}elseif( is_404() ){

		$header_img_url = $default_header_img;

	}elseif( is_home() ) {

		$header_img_url_sec = get_post_meta( get_option( 'page_for_posts' ), 'header_img', true );	
		if( $header_img_url_sec != '' ){
			$header_img_url = get_post_meta( get_option( 'page_for_posts' ), 'header_img', true );
		}else {
			$header_img_url = $default_header_img;
		}
	}else {
			$header_img_url = $default_header_img;
	}

	/**
	 *   -- Fixit Page Banner Functionlity --
	 */

if( get_post_meta( $post->ID, 'page_header_hide_option', true ) == '' ){	

	if( class_exists( 'Fixit_Plugin' ) && ! is_404() && get_the_ID() != '' ){

		if( get_post_meta( $post->ID, 'header_img', true ) != '' ){

			printf('<div class="page-header" style="background: linear-gradient(rgba(6, 46, 75, 0.58), rgba(4, 48, 79, 0.57)), rgba(5, 41, 67, 0.58) url(%1$s) center; background-size: cover;">', esc_url($header_img_url) );

		}else{

			printf( '<div class="page-header" style="background: linear-gradient(rgba(6, 46, 75, 0.58), rgba(4, 48, 79, 0.57)), rgba(5, 41, 67, 0.58) url(%1$s) center; background-size: cover;">', esc_url($default_header_img) );
		}

	}else{

		printf( '<div class="page-header" style="background: linear-gradient(rgba(6, 46, 75, 0.58), rgba(4, 48, 79, 0.57)), rgba(5, 41, 67, 0.58) url(%1$s) center; background-size: cover;">', esc_url($default_header_img) );
	} 
	?>
	  	<div class="container">
	    	<div class="row page-section"><!-- page section -->
	      		<div class="col-md-12 page-description"><!-- page description -->
			        <?php 
					  global $post;
					  if( is_home() ){
					      print '<h1 class="page-title">'.apply_filters( 'the_title', get_the_title( get_option( 'page_for_posts' ) ) ).'</h1>';
					  }elseif( is_singular() || is_page() ) { 
					       the_title( '<h1 class="page-title">', '</h1>' );
					  }elseif( is_search() ) { 
					      print '<h1 class="page-title"> Search: '.get_search_query().'</h1>'; 
					  }else if( is_archive() ) {
					 	   fixit_function_the_archive_title( '<h1 class="page-title">', '</h1>' );
					  }else if( is_404() ) {
					 	   print '<h1 class="page-title">'. esc_html__('Error Page','ac-repair') .'</h1>';
					  }else { 
					       the_title( '<h1 class="page-title">', '</h1>' );
					  }
					?>
	 	  		</div>
	    	</div>
	  	</div>

		<?php
		if( !is_front_page() ){
		?>
		  <div class="page-breadcrumb">
		  	<div class="container">
			    <ol class="breadcrumb">
			          <?php get_template_part('inc/breadcrumbs'); ?>
			    </ol>
			</div>
		  </div>
		<?php 
		} ?>

	</div>

	<?php }





	if( class_exists( 'Fixit_Plugin' ) && ! is_404() && get_the_ID() != '' ){

		$select_div_structure = get_post_meta( $post->ID, 'show_div_structure', true );
		switch( $select_div_structure  ):

			case "custom":  			print '<div id="custom-container" class="custom-container">'; break;
			default:   					print '<div id="main-container" class="main-container">'; break;

		endswitch;

	}else{

		print '<div id="main-container" class="main-container">';
	}

endif;

if( is_front_page() && is_home() ): print '<div id="main-container" class="main-container">'; endif;

?>